<?php

namespace App\Http\Controllers;

use App\Models\Lot;
use App\Models\Parameter;
use Barryvdh\DomPDF\Facade\Pdf as PDF;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PDFController extends Controller
{
    public function generatePDF(Request $request)
    {
        $actual = DB::connection('sqlsrv')->select("select Lote_Actual,Formula_Actual from Listado_Maquinas where Id_Maquina='30'");
        $lot = Lot::where('name', $actual[0]->Lote_Actual)->get();
        // $lote = Lot::find($lot->id);
        // $parameters = Parameter::join('operator_parameter', 'parameters.id', '=', 'operator_parameter.parameter_id')->where('operator_parameter.lot',  $actual[0]->Lote_Actual)->get();
        // $parameters_values = Parameter::join('operator_parameter', 'parameters.id', '=', 'operator_parameter.parameter_id')->where('operator_parameter.lot',  $actual[0]->Lote_Actual)->get();
        $data = [
            'title' => $lot[0]->product->name,
            'date' => date('m/d/Y'),
            'product' => $lot[0]->product,
            'formula' => $actual[0]->Formula_Actual,
            'lot' => $actual[0]->Lote_Actual,
            'parameters' => $lot[0]->parameters,
            'operators' => $lot[0]->operators->unique('id')
        ];

        $pdf = PDF::loadView('pdf', $data);
        //Donde guardar el documento
        $rutaGuardado = storage_path();

        //Nombre del Documento.
        $nombreArchivo = "/app/public/lots/".$actual[0]->Lote_Actual.".pdf";

        //Renderiza el archivo primero
        $pdf->render();

        //Guardalo en una variable
        $output = $pdf->output();

        file_put_contents($rutaGuardado . $nombreArchivo, $output);
        return response()->json($nombreArchivo);
        // Una vez lo guardes en local lo puedes subir o enviar a un ftp.
        // return $pdf->download('prueba.pdf');
    }
}
