<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateParameterRequest;
use App\Http\Requests\UpdateParameterRequest;
use App\Models\Line;
use App\Models\Parameter;
use App\Models\Position;
use App\Models\Product;
use App\Models\Type;
use Illuminate\Http\Request;

class ParameterController extends Controller
{
    function index()
    {
        $parametros = Parameter::all();
        return view('parameter.index', compact('parametros'));
    }
    function getstorage(Request $request)
    {
        $type_this=false;
        if($request->id) {
            $type_this=Parameter::find($request->id)->type_id;
        }
        $types=Type::all();
        return response()->json([
            'types' => $types,
            'type_actual' => $type_this
        ]);
    }
    function storage(CreateParameterRequest $request)
    {
        $parameter = Parameter::create(['name' => $request->name,'type_id' => $request->type_id]);
        $type=$parameter->type;
        $position=$parameter->position;
        return response()->json([
            'parameter' => $parameter,
            'type' => $type,
            'position' => $position
            ]);
    }
    function update(UpdateParameterRequest $request)
    {
        $parameter = Parameter::find($request->id);
        $parameter->name = $request->name;
        $parameter->save();
        $parameters = Parameter::all();
        return response()->json($parameters);
    }
    function delete(Request $request)
    {
        Parameter::destroy($request->id);
        return response()->json();
    }
    function get()
    {
        $products=Product::All();
        $lines=Line::all();
        return response()->json([
            'products' => $products,
            'lines' => $lines
        ]);
    }
    function assignament(Request $request)
    {
        $parameter=Parameter::find($request->parameter);
        $parameter->products()->attach($request->product,['value'=>$request->value]);
        return response()->json();
    }
    function getdes(Request $request)
    {
        $parameter=Parameter::find($request->parameter);
        $lines=Line::all();
        return response()->json([
            'products' => $parameter->products,
            'lines' => $lines
        ]);
    }
    function desassignament(Request $request)
    {
        $parameter=Parameter::find($request->parameter);
        $parameter->products()->detach($request->product,['value'=>$request->value]);
        return response()->json();
    }

    function getposition(Request $request) 
    {
        $parameter=Parameter::find($request->parameter);
        $positions=Position::all();
        return response()->json([
            'positions' => $positions
        ]);
    }
    function assignamentposition(Request $request)
    {
        $parameter=Parameter::find($request->parameter);
        $parameter->position_id=$request->position;
        $parameter->save();
        $parameters=Parameter::with('type')->with('position')->get();
        return response()->json([
            'parameters' => $parameters
        ]);
    }
    function pregetposition(Request $request)
    {
        $product=Parameter::find($request->product);
        
        return response()->json([
            'positions' => $product->positions
        ]);
    }
    function dessignamentposition(Request $request)
    {
        $parameter=Parameter::find($request->parameter);
        $parameter->position_id=null;
        $parameter->save();
        $parameters=Parameter::with('type')->with('position')->get();
        return response()->json([
            'parameters' => $parameters
        ]);
    }
}
