<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateTurnRequest;
use App\Http\Requests\UpdateTurnRequest;
use App\Models\Operator;
use App\Models\Turn;
use Illuminate\Http\Request;

class TurnController extends Controller
{
    function index()
    {
        $turns = Turn::all();
        return view('turn.index', compact('turns'));
    }
    function storage(CreateTurnRequest $request)
    {
        $turn = Turn::create(['name' => $request->name, 'start' => $request->start, 'end' => $request->end]);
        return response()->json($turn);
    }
    function update(UpdateTurnRequest $request)
    {
        $turn = Turn::find($request->id);
        $turn->name = $request->name;
        $turn->start = $request->start;
        $turn->end = $request->end;
        $turn->save();
        $turns = Turn::all();
        return response()->json($turns);
    }
    function delete(Request $request)
    {
        Turn::destroy($request->id);
        return response()->json();
    }
    function asignamentoperatorget(Request $request)
    {
        $turn = Turn::find($request->turn);
        $operators = Operator::wherenotIn('id', $turn->operators->pluck('id'))->get();
        return response()->json($operators);
    }
    function asignamentoperator(Request $request)
    {
        $operator = Operator::find($request->operator);
        $operator->turns()->attach($request->turn);
        return response()->json();
    }
    function show(Request $request)
    {
        $turn = Turn::find($request->turn);
        $operators = $turn->operators;
        return response()->json($operators);
    }
    function dessaing(Request $request)
    {
        $operator = Operator::find($request->operator);
        $operator->turns()->detach($request->turn);
        return response()->json();
    }
}
