<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateSignatureRequest;
use App\Http\Requests\WelcomeRequest;
use App\Models\Line;
use App\Models\Lot;
use App\Models\Operator;
use App\Models\Position;
use App\Models\Product;
use App\Models\Turn;
use App\Models\Type;
use Barryvdh\DomPDF\Facade\Pdf;
use Dompdf\Dompdf;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;

class WelcomeController extends Controller
{
    function get(WelcomeRequest $request)
    {
        $line = Line::where('name', $request->line)->get();
        $position = Position::where('name', $request->position)->get();
        $actual = DB::connection('sqlsrv')->select("select Lote_Actual,Formula_Actual from Listado_Maquinas where Linea='$request->line'");
        $datos = DB::connection('sqlsrv')->select("select * from Listado_OF_Predispersado where Lote_Fabricacion='" . $actual[0]->Lote_Actual . "'");
        $product_actual = explode(" ", $datos[0]->Nombre_Predispersado);
        if ($product_actual[0] == "NASIKA" || $product_actual[0] == "Nasika" || $product_actual[0] == "nasika") {
            $product = Product::where('name', 'like', "%$product_actual[1]%")->where('line_id', $line[0]->id)->get();
        } else {
            $product = Product::where('name', 'like', "%$product_actual[0]%")->where('line_id', $line[0]->id)->get();
        }
        if (count($product) == 0) {
            $parameter = false;
            $pro = false;
        } else {
            $parameter = $product[0]->parameters;
            $pro = $product[0]->id;
            $position = $product[0]->positions()->where('name', $request->position)->get();
            return response()->json($position);
        }
        return response()->json([
            'actual' => $actual,
            'datos' => $datos,
            'fecha' => date('d-m-Y', strtotime($datos[0]->Fecha)),
            'parameters' => $parameter,
            'product' => $pro,
            'aspect' => $pro != null ? Product::find($pro)->with('aspect')->get() : null,
            'position' => $position,
            'res' => $request->all(),
            'product' => $product
        ]);
    }
    function getsignature()
    {
        $turns = Turn::all();
        if (count($turns) > 0) {
            $hora = date("G:i");
            $turno_actual = Turn::whereTime('start', '<=', $hora)->whereTime('end', '>=', $hora)->get();
            if (isset($turno_actual[0]->operators) && $turno_actual[0]->operators) {
                $operators = $turno_actual[0]->operators;
            } else {
                $operators = Operator::all();
            }
        } else {
            $operators = Operator::all();
        }
        return response()->json($operators);
    }
    function storage(CreateSignatureRequest $request)
    {
        $operator = Operator::find($request->operator);
        // Guardar la firma como png
        $folderPath = 'img/';
        $image_parts = explode(";base64,", $request->signature);
        $image_type_aux = explode("image/", $image_parts[0]);
        $image_type = $image_type_aux[1];
        $image_base64 = base64_decode($image_parts[1]);
        $file = $folderPath . uniqid() . '.' . $image_type;
        file_put_contents($file, $image_base64);
        ////////////////////////////////////////////////////
        $lote = Lot::where('name', $request->lot)->get();
        if (isset($lote[0])) {
            $lot = $lote[0];
        } else {
            $lo = Lot::create(['product_id' => $request->product, 'name' => $request->lot]);
            $lot = $lo;
        }
        $existe_lote = false;
        foreach ($operator->parameters as $k => $parameter) {
            // return response()->json($operator->parameters[0]->lots);
            foreach ($parameter->lots as $e => $lote) {
                if ($lote->id == $lot->id) {
                    $existe_lote = true;
                }
            }
        }
        if ($existe_lote) {
            foreach ($request->parameters as $key => $parameter) {
                $operator->parameters()->updateExistingPivot($key, ['lot_id' => $lot->id, 'checked' => $parameter, 'signature' => $file]);
                $image_path =  $operator->parameters[0]->pivot->signature;  // Value is not URL but directory file path
                if (File::exists($image_path)) {
                    File::delete($image_path);
                }
            }
        } else {
            foreach ($request->parameters as $key => $parameter) {
                $operator->parameters()->attach($key, ['lot_id' => $lot->id, 'checked' => $parameter, 'signature' => $file]);
            }
        }
        return response()->json();
    }
}
