<?php

namespace App\Http\Requests;

use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class UpdateOperatorRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }
    
    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json(['errors'=>$validator->errors(),200]));
    }
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'id' => 'required|numeric|exists:operators,id',
            'name' => 'required|string|unique:operators,name'
        ];
    }
    public function messages()
    {
        return [
            'id.required' => 'Es obligatorio poner un operador.',
            'id.numeric' => 'El formato del operador no es correcto.',
            'id.exits' => 'El operador tiene que existir.',

            'name.required' => 'Es obligatorio poner un nombre.',
            'name.string' => 'El formato del nombre no es correcto.',
            'name.unique' => 'El nombre del producto no puede existir.',
        ];
    }
}
