<?php

namespace App\Http\Requests;

use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class WelcomeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
    
    protected function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(response()->json(['errors'=>$validator->errors(),200]));
    }
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'line' => 'required|string|exists:lines,name',
            'position' => 'required|string|exists:positions,name'
        ];
    }
    public function messages()
    {
        return [
            'line.required' => 'Es obligatorio poner una Linea.',
            'line.string' => 'El formato de la linea no es correcto.',
            'line.exists' => 'La linea tiene que existir.',

            'position.required' => 'Es obligatorio poner un puesto.',
            'position.string' => 'El formato del puesto no es correcto.',
            'position.exists' => 'El puesto tiene que existir.',
        ];
    }
}
