<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lot extends Model
{
    use HasFactory;
    protected $fillable = ['name','product_id'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('Y-m-d H:i:s');
    }
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
    public function parameters()
    {
        return $this->belongsToMany(Parameter::class,'validates')->withPivot(['operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
    public function operators()
    {
        return $this->belongsToMany(Operator::class,'validates')->withPivot(['operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
}
