<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Operator extends Model
{
    use HasFactory;
    protected $fillable = ['name'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('Y-m-d H:i:s');
    }
    public function parameters()
    {
        return $this->belongsToMany(Parameter::class,'validates')->withPivot(['position_id','operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
    public function lots()
    {
        return $this->belongsToMany(Lot::class,'validates')->withPivot(['position_id','operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
    public function turns()
    {
        return $this->belongsToMany(Turn::class, 'operator_turn');
    }
}
