<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Parameter extends Model
{
    use HasFactory;
    protected $fillable = ['name','type_id','position_id'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('Y-m-d H:i:s');
    }
    public function products()
    {
        return $this->belongsToMany(Product::class, 'parameter_product')->withPivot(['parameter_id','product_id','value']);
    }
    public function type()
    {
        return $this->belongsTo(Type::class);
    }
    public function operators()
    {
        return $this->belongsToMany(Operator::class,'validates')->withPivot(['operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
    public function lots()
    {
        return $this->belongsToMany(Lot::class,'validates')->withPivot(['operator_id','parameter_id','lot_id','checked','signature'])->withTimestamps();
    }
    public function position()
    {
        return $this->belongsTo(Position::class);
    }
}
