<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

class Position extends Model
{
    use HasFactory;
    protected $fillable = ['name'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('Y-m-d H:i:s');
    }
    public function products()
    {
        return $this->belongsToMany(Product::class, 'position_product')->withTimestamps();
    }
    public function parameters()
    {
        return $this->hasMany(Parameter::class);
    }
}
