<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
    protected $fillable = ['name','line_id'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('Y-m-d H:i:s');
    }
    public function parameters()
    {
        return $this->belongsToMany(Parameter::class, 'parameter_product')->withPivot(['parameter_id','product_id','value']);
    }
    public function line()
    {
        return $this->belongsTo(Line::class);
    }
    public function lots()
    {
        return $this->hasMany(Lot::class,'lot_product')->withTimestamps();
    }
    public function aspect()
    {
        return $this->belongsTo(Aspect::class);
    }
    public function positions()
    {
        return $this->belongsToMany(Position::class, 'position_product')->withTimestamps();
    }
}
