<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Turn extends Model
{
    use HasFactory;
    protected $fillable = ['name','start','end'];
    protected $dateFormat = 'Y-m-d H:i:s';
    public function fromDateTime($value)
    {
        return Carbon::parse(parent::fromDateTime($value))->format('d-m-Y H:i:s');
    }
    public function operators()
    {
        return $this->belongsToMany(Operator::class, 'operator_turn');
    }
}
