@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-md-12 col-lg-12">
                <div class="card">
                    <div class="card-header">Formulas</div>
                    <div class="card-body">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            <div class="px-1 bd-highlight w-100">
                                <div class="pb-2 bd-highlight">
                                    <button class="btn btn-dark filter-line" value="10">Linea A</button>
                                    <button class="btn btn-dark filter-line" value="20">Linea D</button>
                                    <button class="btn btn-dark filter-line" value="30">Linea E</button>
                                </div>
                                <div class="pb-2 bd-highlight">
                                    <input class="form-control " id="busqueda_formulas" type="text"
                                        placeholder="Buscar..">
                                </div>
                                <table class="table text-center table-bordered table-striped table-responsive">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th scope="col">Formula</th>
                                            <th scope="col">Articulo</th>
                                            <th scope="col">Temp Max</th>
                                            <th scope="col">Estado</th>
                                            <th scope="col">Fecha Validacion</th>
                                            <th scope="col">Ciclo Max</th>
                                            <th scope="col">Ciclo Min</th>
                                            <th scope="col">Opciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="formulas_ver">
                                        @foreach ($formulas as $formula)
                                            <tr>
                                                <td> {{ $formula->Formula }} </td>
                                                <td> {{ trim($formula->Articulo) }}</td>
                                                <td> {{ $formula->Temp_Max ? $formula->Temp_Max : '-' }}
                                                <td>
                                                    @if ($formula->Fecha_Validacion)
                                                        <i class="fa-solid fa-check change-validation"></i>
                                                    @else
                                                        <i class="fa-solid fa-xmark change-validation"></i>
                                                    @endif
                                                </td>
                                                <td> {{ $formula->Fecha_Validacion ? $formula->Fecha_Validacion : '-' }}
                                                </td>
                                                <td> {{ $formula->Ciclo_Max ? $formula->Ciclo_Max : '-' }} </td>
                                                <td> {{ $formula->Ciclo_Min ? $formula->Ciclo_Min : '-' }} </td>
                                                <td>
                                                    <i class="fa-solid fa-circle-info infoformula"></i>
                                                    <i class="fa-solid fa-pencil edit-formula-vigente"></i>
                                                    <i class="fa-solid delete_formula fa-square-xmark"></i>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Editar Formula Vigente-->
            <div class="modal fade" id="editformulavigente" tabindex="-1" aria-labelledby="editformulavigenteLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-formulavigente-edit"></h5>
                                </div>
                            </div>
                        </div>
                        <div class="modal-body">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Nombre</label>
                                    <input class="form-control" type="text" placeholder="Articulo" id="art_formulav_edit"
                                        aria-label="default input example">
                                </div>
                            </div>
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Temp Max</label>
                                    <input class="form-control" type="text" placeholder="temp_max"
                                        id="tempmax_formulav_edit" aria-label="default input example">
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Ciclo Min</label>
                                    <input class="form-control" type="text" placeholder="cliclo_min"
                                        id="ciclomin_formulav_edit" aria-label="default input example">
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Ciclo Max</label>
                                    <input class="form-control" type="text" placeholder="ciclo_max"
                                        id="ciclomax_formulav_edit" aria-label="default input example">
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" id="edit_formulav">Editar Formula</button>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Información Formula -->
            <div class="modal fade" id="infoformula" tabindex="-1" aria-labelledby="infoformulaLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl ">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-formula"></h5>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-producto"></h5>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-maquina"></h5>
                                </div>
                            </div>
                            <i class="fa-sharp fa-regular fa-copy formula_add"></i>

                            {{-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> --}}
                        </div>
                        <div class="modal-body">
                            <table class="table text-center table-bordered table-striped ">
                                <thead class="thead-dark">
                                    <tr>
                                        {{-- <th scope="col">Maquina</th> --}}
                                        <th scope="col">Paso</th>
                                        <th scope="col">Nombre</th>
                                        <th scope="col">Dosificar</th>
                                        <th scope="col">Condición</th>
                                        <th scope="col">Tiempo</th>
                                        <th scope="col">ºC</th>
                                        <th scope="col">Comp.Carga</th>
                                        <th scope="col">Pisador</th>
                                        <th scope="col">Comp.Descarga</th>
                                        <th scope="col">B.Ac</th>
                                        <th scope="col">B.G</th>
                                        <th scope="col">B.P</th>
                                        <th scope="col">B.Au</th>
                                        <th scope="col">P.V</th>
                                        <th scope="col">P.D</th>
                                        <th scope="col">Opciones</th>
                                    </tr>
                                </thead>
                                <tbody class="listado-formulas">
                                </tbody>
                            </table>
                            <div class="sin_pasos"></div>
                            <table class="table text-center table-bordered table-striped">
                                <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">Articulo ERP</th>
                                        <th scope="col">MP</th>
                                        <th scope="col">Kilos</th>
                                        <th scope="col">Tolerancia Gramos</th>
                                        <th scope="col">Bascula</th>
                                        <th scope="col">Orden de pesado</th>
                                        <th scope="col">Opciones</th>
                                    </tr>
                                </thead>
                                <tbody class="listado-formulas-mp">
                                </tbody>
                            </table>
                            <div class="sin_mp"></div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                            {{-- <button type="button" class="btn btn-primary">Save changes</button> --}}
                        </div>
                    </div>
                </div>
            </div>
            <!-- Crear Formula -->
            <div class="modal fade" id="createformula" tabindex="-1" aria-labelledby="createformulaLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-formula-create">Crear Formula</h5>
                                </div>
                            </div>
                        </div>
                        <div class="modal-body">
                            <label class="px-2">Linea</label>
                            <div class="d-flex bd-highlight">
                                <select class="form-select" id="crear_formula_linea"
                                    style="margin-left: 8px;margin-right: 8px;"aria-label="Elije Linea">
                                    <option selected>Elije Linea</option>
                                    <option value="10">A</option>
                                    <option value="20">D</option>
                                    <option value="30">E</option>
                                </select>
                            </div>
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Articulo</label>
                                    <input class="form-control" type="text" placeholder="Articulo" id="Articulo_get"
                                        aria-label="default input example">
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Formula</label>
                                    <input class="form-control" type="text" placeholder="Id_Formula" id="formula_get"
                                        aria-label="default input example" disabled>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Cod.ERP</label>
                                    <input class="form-control" type="text" placeholder="ERP" id="ERP_get"
                                        aria-label="default input example">
                                </div>
                            </div>
                            <table class="table text-center table-bordered table-striped table-responsive ">
                                <thead class="thead-dark">
                                    <tr>
                                        <i class="fa-solid fa-square-plus" id="formula_add_paso"></i>
                                        <th scope="col">Paso</th>
                                        <th scope="col">Nombre</th>
                                        <th scope="col">Dosificar</th>
                                        <th scope="col">Condición</th>
                                        <th scope="col">Tiempo</th>
                                        <th scope="col">ºC</th>
                                        <th scope="col">Comp.Carga</th>
                                        <th scope="col">Pisador</th>
                                        <th scope="col">Comp.Descarga</th>
                                        <th scope="col">B.Ac</th>
                                        <th scope="col">B.G</th>
                                        <th scope="col">B.P</th>
                                        <th scope="col">B.Au</th>
                                        <th scope="col">P.V</th>
                                        <th scope="col">P.D</th>
                                        <th scope="col">Opciones</th>
                                    </tr>
                                </thead>
                                <tbody class="listado-formulas-copy">
                                </tbody>
                            </table>
                            <table class="table text-center table-bordered table-striped">
                                <thead class="thead-dark">
                                    <tr>
                                        <i class="fa-solid fa-square-plus" id="formula_add_mp"></i>
                                        <th scope="col">Cod MP</th>
                                        <th scope="col">MP</th>
                                        <th scope="col">Kilos</th>
                                        <th scope="col">Tolerancia Gramos</th>
                                        <th scope="col">Bascula</th>
                                        <th scope="col">Orden de pesado</th>
                                        <th scope="col">Opciones</th>
                                    </tr>
                                </thead>
                                <tbody class="listado-formulas-mp-copy">
                                </tbody>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" id="copiar_formula">Copiar Formula</button>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Añadir Linea a la Formula antes de copiar -->
            <div class="modal fade" id="addinfoformula" tabindex="-1" aria-labelledby="addinfoformulaLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <h5 class="modal-title" id="title-formula-add">Añadir a la Formula</h5>
                                </div>
                            </div>
                        </div>
                        <div class="modal-body">
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Paso</label>
                                    <input class="form-control" type="numeric" placeholder="id" id="id_add"
                                        aria-label="default input example" hidden>
                                    <input class="form-control" type="numeric" placeholder="Paso" id="paso_add"
                                        aria-label="default input example" disabled>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Nombre</label>
                                    <input class="form-control" type="text" placeholder="Nombre" id="nombre_add"
                                        aria-label="default input example">
                                </div>
                            </div>
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Dosificar</label>
                                    <input class="form-control" type="text" placeholder="Dosificar"
                                        id="dosificar_add" aria-label="default input example">
                                </div>
                            </div>
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Condicion</label>
                                    <select class="form-select" id="Condicion_add" placeholder="Elije Condicion"
                                        aria-label="Condición">
                                    </select>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Tiempo</label>
                                    <input class="form-control" type="text" placeholder="Tiempo" id="time_add"
                                        aria-label="default input example">
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Temp</label>
                                    <input class="form-control" type="text" placeholder="Temp" value="0"
                                        id="temp_add" aria-label="default input example" disabled>
                                </div>
                            </div>
                            <div class="d-flex bd-highlight">
                                <div class="p-2 flex-fill bd-highlight">
                                    <label>Comp.Carga-Pisador-Comp.Descarga</label>
                                    <select class="form-select" id="mov_maquina_add" placeholder="Elije Posicion"
                                        aria-label="Mov Maquina">
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" data-bs-target="#createformula"
                                data-bs-toggle="modal" data-bs-dismiss="modal" id="add_formula_pasos">Añadir a la
                                Formula</button>
                            <button type="button" class="btn btn-secondary" data-bs-target="#createformula"
                                data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Añadir a la Formula mp antes de copiar -->
        <div class="modal fade" id="addmpinfoformula" tabindex="-1" aria-labelledby="addmpinfoformulaLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="d-flex bd-highlight">
                            <div class="p-2 flex-fill bd-highlight">
                                <h5 class="modal-title" id="title-formula-add">Añadir a Formula</h5>
                            </div>
                        </div>
                    </div>
                    <div class="modal-body">
                        <div class="d-flex bd-highlight">
                            <div class="p-2 flex-fill bd-highlight">
                                <label>Cod MP</label>
                                <input class="form-control" type="text" placeholder="Cod_MP" id="codmp_add"
                                    aria-label="default input example">
                            </div>
                            <div class="p-2 flex-fill bd-highlight">
                                <label>MP</label>
                                <input class="form-control" type="numeric" placeholder="id" id="idmp_add"
                                    aria-label="default input example" hidden>
                                <input class="form-control" type="numeric" placeholder="MP" id="mp_add"
                                    aria-label="default input example">

                            </div>
                        </div>
                        <div class="d-flex bd-highlight">
                            <div class="p-2 flex-fill bd-highlight">
                                <label>Kilos</label>
                                <input class="form-control" type="text" placeholder="Kilos" id="kilos_add"
                                    aria-label="default input example">
                            </div>
                            <div class="p-2 flex-fill bd-highlight">
                                <label>Tolerancia Gramos</label>
                                <input class="form-control" type="text" placeholder="Tolerancia Gramos"
                                    id="Tol_Gr_add" aria-label="default input example">
                            </div>
                        </div>
                        <div class="d-flex bd-highlight">
                            <div class="p-2 flex-fill bd-highlight">
                                <label>Bascula</label>
                                <select class="form-select" id="bascula_add" aria-label="Mov Maquina">
                                </select>
                            </div>
                            <div class="p-2 flex-fill bd-highlight">
                                <label>Orden de pesado</label>
                                <input class="form-control" type="text" placeholder="Orden de pesado"
                                    id="ordenpesado_add" aria-label="default input example">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-bs-target="#createformula"
                            data-bs-toggle="modal" data-bs-dismiss="modal" id="add_formulamp">Añadir a la
                            Formula</button>
                        <button type="button" class="btn btn-secondary" data-bs-target="#createformula"
                            data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Editar pasos-->
    <div class="modal fade" id="editpasosinfoformula" tabindex="-1" aria-labelledby="editpasosinfoformulaLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <h5 class="modal-title" id="title-formula-edit">Editar Formula</h5>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Paso</label>
                            <input class="form-control" type="numeric" placeholder="id" id="id_edit_paso"
                                aria-label="default input example" hidden>
                            <input class="form-control" type="numeric" placeholder="Paso" id="paso_edit_paso"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="nombre_edit_paso"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Dosificar</label>
                            <input class="form-control" type="text" placeholder="Dosificar" id="dosificar_edit_paso"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Condicion</label>
                            <select class="form-select" id="Condicion_edit_paso" aria-label="Condición">
                            </select>
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Tiempo</label>
                            <input class="form-control" type="text" placeholder="Tiempo" id="time_edit_paso"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Temp</label>
                            <input class="form-control" type="text" placeholder="Temp" id="temp_edit_paso"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Comp.Carga-Pisador-Comp.Descarga</label>
                            <select class="form-select" id="mov_maquina_edit_paso" aria-label="Mov Maquina">
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary edit_formula_paso" data-bs-target="#infoformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Editar
                        Formula</button>
                    <button type="button" class="btn btn-secondary" data-bs-target="#infoformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Editar Formula mp-->
    <div class="modal fade" id="editmp" tabindex="-1" aria-labelledby="editmpLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <h5 class="modal-title" id="title-formula-edit-mp">Editar Formula</h5>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Cod MP</label>
                            <input class="form-control" type="text" placeholder="Cod_MP" id="codmp_edit_mp"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>MP</label>
                            <input class="form-control" type="numeric" placeholder="id" id="idmp_edit_mp"
                                aria-label="default input example" hidden>
                            <input class="form-control" type="numeric" placeholder="MP" id="mp_edit_mp"
                                aria-label="default input example">

                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Kilos</label>
                            <input class="form-control" type="text" placeholder="Kilos" id="kilos_edit_mp"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Tolerancia Gramos</label>
                            <input class="form-control" type="text" placeholder="Tolerancia Gramos" id="Tol_Gr_edit_mp"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Bascula</label>
                            <select class="form-select" id="bascula_edit_mp" aria-label="Mov Maquina">
                            </select>
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Orden de pesado</label>
                            <input class="form-control" type="text" placeholder="Orden de pesado"
                                id="ordenpesado_edit_mp" aria-label="default input example">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary edit_formula-mp" data-bs-target="#infoformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Editar
                        Formula</button>
                    <button type="button" class="btn btn-secondary" data-bs-target="#infoformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Editar pasos antes de copiar -->
    <div class="modal fade" id="editinfoformula" tabindex="-1" aria-labelledby="editinfoformulaLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <h5 class="modal-title" id="title-formula-edit">Editar Formula</h5>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Paso</label>
                            <input class="form-control" type="numeric" placeholder="id" id="id_edit"
                                aria-label="default input example" hidden>
                            <input class="form-control" type="numeric" placeholder="Paso" id="paso_edit"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="nombre_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Dosificar</label>
                            <input class="form-control" type="text" placeholder="Dosificar" id="dosificar_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Condicion</label>
                            <select class="form-select" id="Condicion_edit" aria-label="Condición">
                            </select>
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Tiempo</label>
                            <input class="form-control" type="text" placeholder="Tiempo" id="time_edit"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Temp</label>
                            <input class="form-control" type="text" placeholder="Temp" id="temp_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Comp.Carga-Pisador-Comp.Descarga</label>
                            <select class="form-select" id="mov_maquina_edit" aria-label="Mov Maquina">
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary edit_formula" data-bs-target="#createformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Editar
                        Formula</button>
                    <button type="button" class="btn btn-secondary" data-bs-target="#createformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- Editar Formula mp antes de copiar -->
    <div class="modal fade" id="editmpinfoformula" tabindex="-1" aria-labelledby="editmpinfoformulaLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <h5 class="modal-title" id="title-formula-edit">Editar Formula</h5>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Cod MP</label>
                            <input class="form-control" type="text" placeholder="Cod_MP" id="codmp_edit"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>MP</label>
                            <input class="form-control" type="numeric" placeholder="id" id="idmp_edit"
                                aria-label="default input example" hidden>
                            <input class="form-control" type="numeric" placeholder="MP" id="mp_edit"
                                aria-label="default input example">

                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Kilos</label>
                            <input class="form-control" type="text" placeholder="Kilos" id="kilos_edit"
                                aria-label="default input example">
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Tolerancia Gramos</label>
                            <input class="form-control" type="text" placeholder="Tolerancia Gramos" id="Tol_Gr_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Bascula</label>
                            <select class="form-select" id="bascula_edit" aria-label="Mov Maquina">
                            </select>
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Orden de pesado</label>
                            <input class="form-control" type="text" placeholder="Orden de pesado"
                                id="ordenpesado_edit" aria-label="default input example">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary edit_formula" data-bs-target="#createformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Editar
                        Formula</button>
                    <button type="button" class="btn btn-secondary" data-bs-target="#createformula"
                        data-bs-toggle="modal" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!--Ventana de carga-->
    <div class="modal fade " id="loading" tabindex="-1" aria-labelledby="pruebaLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered d-flex justify-content-center">
            <div class="spinner"></div>
        </div>
    </div>
@endsection
