import { forEach, isEmpty } from 'lodash';
import './bootstrap';
function errors_success(text) {
    swal(text, {
        icon: 'success',
        buttons: false,
        timer: 3000,
        closeOnClickOutside: false,
    })
}
function errors_info(text) {
    swal(text, {
        icon: 'info',
        buttons: false,
        timer: 5000,
        closeOnClickOutside: false,
    })
}
function errors_danger(text) {
    swal(text, {
        icon: 'error',
        buttons: false,
        timer: 3000,
        closeOnClickOutside: false,
    })
}
function errors_success_perma(text) {
    swal(text, {
        icon: 'success',
        buttons: false,
        timer: 29030400,
        closeOnClickOutside: false,
    })
}
function errors_info_perma(text) {
    swal(text, {
        icon: 'info',
        buttons: false,
        timer: 29030400,
        closeOnClickOutside: false,
    })
}
function errors_danger_perma(text) {
    swal(text, {
        icon: 'error',
        buttons: false,
        timer: 29030400,
        closeOnClickOutside: false,
    })
}
if (window.location.pathname === '/') {
    var SignaturePad = (function (document) {
        "use strict";

        var log = console.log.bind(console);

        var SignaturePad = function (canvas, options) {
            var self = this,
                opts = options || {};

            this.velocityFilterWeight = opts.velocityFilterWeight || 0.7;
            this.minWidth = opts.minWidth || 0.5;
            this.maxWidth = opts.maxWidth || 2.5;
            this.dotSize = opts.dotSize || function () {
                return (self.minWidth + self.maxWidth) / 2;
            };
            this.penColor = opts.penColor || "black";
            this.backgroundColor = opts.backgroundColor || "rgba(0,0,0,0)";
            this.throttle = opts.throttle || 0;
            this.throttleOptions = {
                leading: true,
                trailing: true
            };
            this.minPointDistance = opts.minPointDistance || 0;
            this.onEnd = opts.onEnd;
            this.onBegin = opts.onBegin;

            this._canvas = canvas;
            this._ctx = canvas.getContext("2d");
            this._ctx.lineCap = 'round';
            this.clear();

            // we need add these inline so they are available to unbind while still having
            //  access to 'self' we could use _.bind but it's not worth adding a dependency
            this._handleMouseDown = function (event) {
                if (event.which === 1) {
                    self._mouseButtonDown = true;
                    self._strokeBegin(event);
                }
            };

            var _handleMouseMove = function (event) {
                event.preventDefault();
                if (self._mouseButtonDown) {
                    self._strokeUpdate(event);
                    if (self.arePointsDisplayed) {
                        var point = self._createPoint(event);
                        self._drawMark(point.x, point.y, 5);
                    }
                }
            };

            this._handleMouseMove = _.throttle(_handleMouseMove, self.throttle, self.throttleOptions);
            //this._handleMouseMove = _handleMouseMove;

            this._handleMouseUp = function (event) {
                if (event.which === 1 && self._mouseButtonDown) {
                    self._mouseButtonDown = false;
                    self._strokeEnd(event);
                }
            };

            this._handleTouchStart = function (event) {
                if (event.targetTouches.length == 1) {
                    var touch = event.changedTouches[0];
                    self._strokeBegin(touch);
                }
            };

            var _handleTouchMove = function (event) {
                // Prevent scrolling.
                event.preventDefault();

                var touch = event.targetTouches[0];
                self._strokeUpdate(touch);
                if (self.arePointsDisplayed) {
                    var point = self._createPoint(touch);
                    self._drawMark(point.x, point.y, 5);
                }
            };
            this._handleTouchMove = _.throttle(_handleTouchMove, self.throttle, self.throttleOptions);
            //this._handleTouchMove = _handleTouchMove;

            this._handleTouchEnd = function (event) {
                var wasCanvasTouched = event.target === self._canvas;
                if (wasCanvasTouched) {
                    event.preventDefault();
                    self._strokeEnd(event);
                }
            };

            this._handleMouseEvents();
            this._handleTouchEvents();
        };

        SignaturePad.prototype.clear = function () {
            var ctx = this._ctx,
                canvas = this._canvas;

            ctx.fillStyle = this.backgroundColor;
            ctx.clearRect(0, 0, canvas.width, canvas.height);
            ctx.fillRect(0, 0, canvas.width, canvas.height);
            this._reset();
        };

        SignaturePad.prototype.showPointsToggle = function () {
            this.arePointsDisplayed = !this.arePointsDisplayed;
        };

        SignaturePad.prototype.toDataURL = function (imageType, quality) {
            var canvas = this._canvas;
            return canvas.toDataURL.apply(canvas, arguments);
        };

        SignaturePad.prototype.fromDataURL = function (dataUrl) {
            var self = this,
                image = new Image(),
                ratio = window.devicePixelRatio || 1,
                width = this._canvas.width / ratio,
                height = this._canvas.height / ratio;

            this._reset();
            image.src = dataUrl;
            image.onload = function () {
                self._ctx.drawImage(image, 0, 0, width, height);
            };
            this._isEmpty = false;
        };

        SignaturePad.prototype._strokeUpdate = function (event) {
            var point = this._createPoint(event);
            if (this._isPointToBeUsed(point)) {
                this._addPoint(point);
            }
        };

        var pointsSkippedFromBeingAdded = 0;
        SignaturePad.prototype._isPointToBeUsed = function (point) {
            // Simplifying, De-noise
            if (!this.minPointDistance)
                return true;

            var points = this.points;
            if (points && points.length) {
                var lastPoint = points[points.length - 1];
                if (point.distanceTo(lastPoint) < this.minPointDistance) {
                    // log(++pointsSkippedFromBeingAdded);
                    return false;
                }
            }
            return true;
        };

        SignaturePad.prototype._strokeBegin = function (event) {
            this._reset();
            this._strokeUpdate(event);
            if (typeof this.onBegin === 'function') {
                this.onBegin(event);
            }
        };

        SignaturePad.prototype._strokeDraw = function (point) {
            var ctx = this._ctx,
                dotSize = typeof (this.dotSize) === 'function' ? this.dotSize() : this.dotSize;

            ctx.beginPath();
            this._drawPoint(point.x, point.y, dotSize);
            ctx.closePath();
            ctx.fill();
        };

        SignaturePad.prototype._strokeEnd = function (event) {
            var canDrawCurve = this.points.length > 2,
                point = this.points[0];

            if (!canDrawCurve && point) {
                this._strokeDraw(point);
            }
            if (typeof this.onEnd === 'function') {
                this.onEnd(event);
            }
        };

        SignaturePad.prototype._handleMouseEvents = function () {
            this._mouseButtonDown = false;

            this._canvas.addEventListener("mousedown", this._handleMouseDown);
            this._canvas.addEventListener("mousemove", this._handleMouseMove);
            document.addEventListener("mouseup", this._handleMouseUp);
        };

        SignaturePad.prototype._handleTouchEvents = function () {
            // Pass touch events to canvas element on mobile IE11 and Edge.
            this._canvas.style.msTouchAction = 'none';
            this._canvas.style.touchAction = 'none';

            this._canvas.addEventListener("touchstart", this._handleTouchStart);
            this._canvas.addEventListener("touchmove", this._handleTouchMove);
            this._canvas.addEventListener("touchend", this._handleTouchEnd);
        };

        SignaturePad.prototype.on = function () {
            this._handleMouseEvents();
            this._handleTouchEvents();
        };

        SignaturePad.prototype.off = function () {
            this._canvas.removeEventListener("mousedown", this._handleMouseDown);
            this._canvas.removeEventListener("mousemove", this._handleMouseMove);
            document.removeEventListener("mouseup", this._handleMouseUp);

            this._canvas.removeEventListener("touchstart", this._handleTouchStart);
            this._canvas.removeEventListener("touchmove", this._handleTouchMove);
            this._canvas.removeEventListener("touchend", this._handleTouchEnd);
        };

        SignaturePad.prototype.isEmpty = function () {
            return this._isEmpty;
        };

        SignaturePad.prototype._reset = function () {
            this.points = [];
            this._lastVelocity = 0;
            this._lastWidth = (this.minWidth + this.maxWidth) / 2;
            this._isEmpty = true;
            this._ctx.fillStyle = this.penColor;
        };

        SignaturePad.prototype._createPoint = function (event) {
            var rect = this._canvas.getBoundingClientRect();
            return new Point(
                event.clientX - rect.left,
                event.clientY - rect.top
            );
        };

        SignaturePad.prototype._addPoint = function (point) {
            var points = this.points,
                c2, c3,
                curve, tmp;

            points.push(point);

            if (points.length > 2) {
                // To reduce the initial lag make it work with 3 points
                // by copying the first point to the beginning.
                if (points.length === 3) points.unshift(points[0]);

                tmp = this._calculateCurveControlPoints(points[0], points[1], points[2]);
                c2 = tmp.c2;
                tmp = this._calculateCurveControlPoints(points[1], points[2], points[3]);
                c3 = tmp.c1;
                curve = new Bezier(points[1], c2, c3, points[2]);
                this._addCurve(curve);

                // Remove the first element from the list,
                // so that we always have no more than 4 points in points array.
                points.shift();
            }
        };

        SignaturePad.prototype._calculateCurveControlPoints = function (s1, s2, s3) {
            var dx1 = s1.x - s2.x,
                dy1 = s1.y - s2.y,
                dx2 = s2.x - s3.x,
                dy2 = s2.y - s3.y,

                m1 = {
                    x: (s1.x + s2.x) / 2.0,
                    y: (s1.y + s2.y) / 2.0
                },
                m2 = {
                    x: (s2.x + s3.x) / 2.0,
                    y: (s2.y + s3.y) / 2.0
                },

                l1 = Math.sqrt(1.0 * dx1 * dx1 + dy1 * dy1),
                l2 = Math.sqrt(1.0 * dx2 * dx2 + dy2 * dy2),

                dxm = (m1.x - m2.x),
                dym = (m1.y - m2.y),

                k = l2 / (l1 + l2),
                cm = {
                    x: m2.x + dxm * k,
                    y: m2.y + dym * k
                },

                tx = s2.x - cm.x,
                ty = s2.y - cm.y;

            return {
                c1: new Point(m1.x + tx, m1.y + ty),
                c2: new Point(m2.x + tx, m2.y + ty)
            };
        };

        SignaturePad.prototype._addCurve = function (curve) {
            var startPoint = curve.startPoint,
                endPoint = curve.endPoint,
                velocity, newWidth;

            velocity = endPoint.velocityFrom(startPoint);
            velocity = this.velocityFilterWeight * velocity +
                (1 - this.velocityFilterWeight) * this._lastVelocity;

            newWidth = this._strokeWidth(velocity);
            this._drawCurve(curve, this._lastWidth, newWidth);

            this._lastVelocity = velocity;
            this._lastWidth = newWidth;
        };

        SignaturePad.prototype._drawPoint = function (x, y, size) {
            var ctx = this._ctx;

            ctx.moveTo(x, y);
            ctx.arc(x, y, size, 0, 2 * Math.PI, false);
            this._isEmpty = false;
        };

        SignaturePad.prototype._drawMark = function (x, y, size) {
            var ctx = this._ctx;

            ctx.save();
            ctx.moveTo(x, y);
            ctx.arc(x, y, size, 0, 2 * Math.PI, false);
            ctx.fillStyle = 'rgba(255, 0, 0, 0.2)';
            ctx.fill();
            ctx.restore();
        };

        SignaturePad.prototype._drawCurve = function (curve, startWidth, endWidth) {
            var ctx = this._ctx,
                widthDelta = endWidth - startWidth,
                drawSteps, width, i, t, tt, ttt, u, uu, uuu, x, y;

            drawSteps = Math.floor(curve.length());
            ctx.beginPath();
            for (i = 0; i < drawSteps; i++) {
                // Calculate the Bezier (x, y) coordinate for this step.
                t = i / drawSteps;
                tt = t * t;
                ttt = tt * t;
                u = 1 - t;
                uu = u * u;
                uuu = uu * u;

                x = uuu * curve.startPoint.x;
                x += 3 * uu * t * curve.control1.x;
                x += 3 * u * tt * curve.control2.x;
                x += ttt * curve.endPoint.x;

                y = uuu * curve.startPoint.y;
                y += 3 * uu * t * curve.control1.y;
                y += 3 * u * tt * curve.control2.y;
                y += ttt * curve.endPoint.y;

                width = startWidth + ttt * widthDelta;
                this._drawPoint(x, y, width);
            }
            ctx.closePath();
            ctx.fill();
        };

        SignaturePad.prototype._strokeWidth = function (velocity) {
            return Math.max(this.maxWidth / (velocity + 1), this.minWidth);
        };

        var Point = function (x, y, time) {
            this.x = x;
            this.y = y;
            this.time = time || new Date().getTime();
        };

        Point.prototype.velocityFrom = function (start) {
            return (this.time !== start.time) ? this.distanceTo(start) / (this.time - start.time) : 1;
        };

        Point.prototype.distanceTo = function (start) {
            return Math.sqrt(Math.pow(this.x - start.x, 2) + Math.pow(this.y - start.y, 2));
        };

        var Bezier = function (startPoint, control1, control2, endPoint) {
            this.startPoint = startPoint;
            this.control1 = control1;
            this.control2 = control2;
            this.endPoint = endPoint;
        };

        // Returns approximated length.
        Bezier.prototype.length = function () {
            var steps = 10,
                length = 0,
                i, t, cx, cy, px, py, xdiff, ydiff;

            for (i = 0; i <= steps; i++) {
                t = i / steps;
                cx = this._point(t, this.startPoint.x, this.control1.x, this.control2.x, this.endPoint.x);
                cy = this._point(t, this.startPoint.y, this.control1.y, this.control2.y, this.endPoint.y);
                if (i > 0) {
                    xdiff = cx - px;
                    ydiff = cy - py;
                    length += Math.sqrt(xdiff * xdiff + ydiff * ydiff);
                }
                px = cx;
                py = cy;
            }
            return length;
        };

        Bezier.prototype._point = function (t, start, c1, c2, end) {
            return start * (1.0 - t) * (1.0 - t) * (1.0 - t) +
                3.0 * c1 * (1.0 - t) * (1.0 - t) * t +
                3.0 * c2 * (1.0 - t) * t * t +
                end * t * t * t;
        };

        return SignaturePad;
    })(document);

    var signaturePad = new SignaturePad(document.getElementById('signature-pad'), {
        backgroundColor: 'rgba(255, 255, 255, 0)',
        penColor: 'rgb(0, 0, 0)',
        velocityFilterWeight: .7,
        minWidth: 0.5,
        maxWidth: 2.5,
        throttle: 16, // max x milli seconds on event update, OBS! this introduces lag for event update
        minPointDistance: 3,
    });
    var saveButton = document.getElementById('save'),
        clearButton = document.getElementById('clear'),
        showPointsToggle = document.getElementById('showPointsToggle');

    saveButton.addEventListener('click', function (event) {

        if (signaturePad.isEmpty()) {
            errors_danger("Es obligatorio firmar");
        } else {
            var data = signaturePad.toDataURL('image/png');
            $('#firmar_modal').modal('hide');
            var parameters = {};
            $('.check-parameter').each(function () {
                if ($(this).is(":checked")) {
                    parameters[$(this).attr('data-id')] = 1;
                } else {
                    parameters[$(this).attr('data-id')] = 0;
                }
            });
            $.ajax({
                url: '/storage',
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: {
                    parameters: parameters,
                    product: $('#firmar').attr('product-id'),
                    signature: data,
                    lot: $('#lote').html(),
                    operator: $('#operarios').val()
                },
                dataType: 'JSON',
                success: function (res) {
                    console.log(res);
                    if (!res.errors) {
                        errors_success("Firmado correctamente.");
                    } else {
                        if (res.errors.operator) {
                            errors_danger(res.errors.operator[0]);
                        }
                        if (res.errors.product) {
                            errors_danger(res.errors.product[0]);
                        }
                        if (res.errors.signature) {
                            errors_danger(res.errors.signature[0]);
                        }
                    }
                }
            });
        }
    });

    clearButton.addEventListener('click', function (event) {
        signaturePad.clear();
    });
    $('#firmar').on('click', function () {
        $.ajax({
            url: '/getsignature',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {},
            dataType: 'JSON',
            success: function (res) {
                var data = '<option value="null" selected>Elige operario</option>';
                res.forEach(operator => {
                    data += "<option value='" + operator.id + "'>" + operator.name + "</option>";
                });
                $('#operarios').html(data);
                signaturePad.clear();
                $('#firmar_modal').modal('show');
            }
        });
    });
    let params = new URLSearchParams(location.search);
    var position = params.get('position');
    var line = params.get('line');
    $.ajax({
        url: '/get',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            line: line,
            position: position
        },
        dataType: 'JSON',
        success: function (res) {
            console.log(res);
            if (res.errors) {
                $("#firmar").addClass('d-none');
                if (res.errors.line) {
                    errors_danger_perma(res.errors.line[0]);
                }
                if (res.errors.position) {
                    errors_danger_perma(res.errors.position[0]);
                }
            } else {
                $('#firmar').attr('product-id', res.product[0].id);
                $('#lote').text(res.actual[0].Lote_Actual);
                $('#formula').text(res.actual[0].Formula_Actual);
                $('#partidas').text(res.datos[0].Total_Partidas);
                $('#producto').text(res.datos[0].Nombre_Predispersado);
                $('#kilos').text(res.datos[0].Total_Kilos_Teoricos);
                $('#fecha').text(res.fecha);
                $('#puesto').text(res.position[0].name);
                if (res.aspect == null) {
                    $('#aspecto').text("-");
                } else {
                    $('#aspecto').text(res.aspect[0].aspect.name);
                }
                var para1 = '<tr>';
                var para2 = '<tr>';
                var para1val = '<tr>';
                var para2val = '<tr>';
                var paracheck1 = '<tr>';
                var paracheck2 = '<tr>';
                if (res.product != 0) {
                    if (res.parameters.length > 0) {
                        res.parameters.forEach(parameter => {
                            if (parameter.type_id == 1) {
                                var names = parameter.name.split(" ");
                                para1 += "<th>";
                                for (let index = 0; index < names.length; index++) {
                                    if ((index % 2) == 0) {
                                        para1 += "<div>";
                                        para1 += names[index];
                                    } else {
                                        para1 += " ";
                                        para1 += names[index];
                                        para1 += "</div>";
                                    }
                                }
                                para1 += "</th>";
                                para1val += "<td>" + parameter.pivot.value + "</td>";
                                paracheck1 += "<td><input class='form-check-input check-parameter' data-id='" + parameter.id + "' type='checkbox' value=''></td>";
                            }
                            if (parameter.type_id == 2) {
                                var names = parameter.name.split(" ");
                                para2 += "<th>";
                                for (let index = 0; index < names.length; index++) {
                                    if ((index % 2) == 0) {
                                        para2 += "<div>";
                                        para2 += names[index];
                                    } else {
                                        para2 += " ";
                                        para2 += names[index];
                                        para2 += "</div>";
                                    }
                                }
                                para2 += "</th>";
                                para2val += "<td>" + parameter.pivot.value + "</td>";
                                paracheck2 += "<td><input class='form-check-input check-parameter' data-id='" + parameter.id + "' type='checkbox' value=''></td>";
                            }
                        });
                        para1 += "</tr>";
                        para2 += "</tr>";
                        paracheck1 += "</tr>";
                        paracheck2 += "</tr>";
                        $('#parameter_type1_titles').html(para1);
                        $('#parameter_type2_titles').html(para2);
                        $('#parameter_type1').html(para1val);
                        $('#parameter_type2').html(para2val);
                        $('#parameter_type1').append(paracheck1);
                        $('#parameter_type2').append(paracheck2);
                    } else {
                        $("#firmar").addClass('d-none');
                        errors_info_perma("El producto actual no tiene parametros.");
                    }
                } else {
                    $("#firmar").addClass('d-none');
                    errors_info_perma("El producto actual no existe.");
                }
            }
            // console.log(paracheck1);
        }
    });
}
$('#parameter_add').on('click', function () {
    $.ajax({
        url: '/parameter/getstorage',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {},
        dataType: 'JSON',
        success: function (res) {
            var data = '<option selected>Tipo</option>';
            res.types.forEach(type => {
                data += "<option value='" + type.id + "'>" + type.name + "</option>";
            });
            $('#type_parameter').html(data);
            $('#parameter-modal').modal('show');
        }
    });

});
$('#parameter_storage').click(function () {
    $('#parameters_errors').html('');
    $.ajax({
        url: '/parameter/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#parameter_name').val(),
            'type_id': $('#type_parameter').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.type_id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.type_id + "</div>";
                }
                $('#parameters_errors').html(data);
            } else {
                $('#parameters').append("<tr><td hidden>" + res.parameter.id + "</td><td>" + res.parameter.name + "</td><td>" + res.type.name + "</td><td>" + res.position.name + "</td><td><i class='fa-brands fa-product-hunt assignament_product_parameter pe-1'></i><i class='fa-solid fa-circle-info info_parameter pe-1'></i><i class='fa-solid fa-pencil edit_parameter pe-1'></i><i class='fa-solid fa-square-xmark delete_parameter'></i></td></tr>");
                edit_parameter();
                delete_parameter();
                dessaing_parameter_product();
                $('#parameter-modal').modal('hide');
                errors_success("Parametero creado correctamente.");
            }
        }
    });
});
function edit_parameter() {
    $('.edit_parameter').click(function () {
        $('#parameters_errors_edit').html('');
        $('#update_parameter').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#parameter_name_edit').val($(this).parent().parent().children().eq(1).html());
        $.ajax({
            url: '/parameter/getstorage',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'id': $('#update_parameter').attr('data-id')
            },
            dataType: 'JSON',
            success: function (res) {
                var data = '';
                res.types.forEach(type => {
                    if (res.type_actual == type.id) {
                        data += "<option selected value='" + type.id + "'>" + type.name + "</option>";
                    } else {
                        data += "<option value='" + type.id + "'>" + type.name + "</option>";
                    }
                });
                $('#type_parameter_edit').html(data);
                $('#parameter-modal-edit').modal('show');
            }
        });
    });
}
edit_parameter();
$('#update_parameter').click(function () {
    $('#parameters_errors_edit').html('');
    $.ajax({
        url: '/parameter/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_parameter').attr('data-id'),
            'name': $('#parameter_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#parameters_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(parameter => {
                    data += "<tr><td hidden>" + parameter.id + "</td><td>" + parameter.name + "</td><td><i class='fa-brands fa-product-hunt assignament_product_parameter pe-1'></i><i class='fa-solid fa-circle-info info_parameter pe-1'></i><i class='fa-solid fa-pencil edit_parameter pe-1'></i><i class='fa-solid fa-square-xmark delete_parameter'></i></td></tr>";
                });
                $('#parameters').html(data);
                edit_parameter();
                delete_parameter();
                assignament_parameter_product();
                dessaing_parameter_product();
                $('#parameter-modal-edit').modal('hide');
                errors_success("Parametro actualizado correctamente.");
            }
        }
    });
});
function delete_parameter() {
    $('.delete_parameter').click(function () {
        var parameter = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el parametro?",
            text: "Se borrarán todos los datos de la parametro",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/parameter/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': parameter
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El parametro ha sido borrado correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_parameter();
function assignament_product_parameter() {
    $('.assignament_product_parameter').click(function () {
        var parametro = $(this).parent().parent().children().eq(1).html();
        $('#parameter_product_assing').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $.ajax({
            url: '/parameter/get',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {},
            dataType: 'JSON',
            success: function (res) {
                if (res.errors) {
                    if (res.errors.name) {
                        data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                    }
                    $('#products_errors').html(data);
                } else {
                    var data = '';
                    res.products.forEach(product => {
                        res.lines.forEach(line => {
                            if (product.line_id == line.id) {
                                data += "<option value='" + product.id + "'>" + line.name + " - " + product.name + "</option>";
                            }
                        });
                    });
                    $('#product-select-parameter').html(data);
                    $('#name-parameter').html("Asignar producto a " + parametro);
                    $('#value_parameter').val('');
                    // errors_success("Parametro asignado a producto.");
                    $('#assignament-product-parameter-modal').modal('show');
                }
            }
        });
    });
}
assignament_product_parameter();
function assignament_parameter_product() {
    $('#parameter_product_assing').click(function () {
        $.ajax({
            url: '/parameter/assignament',
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'product': $('#product-select-parameter').val(),
                'value': $('#value_parameter').val(),
                'parameter': $('#parameter_product_assing').attr('data-id')
            },
            dataType: 'JSON',
            success: function (res) {
                $('#assignament-product-parameter-modal').modal('hide');
                errors_success("Parametro asignado a producto.");
            }
        });
    });
}
assignament_parameter_product();
function info_parameter() {
    $('.info_parameter').on('click', function () {
        var parameter = $(this).parent().parent().children().eq(0).html();
        $('#parameter-product-id').attr('data-id', parameter);
        $('#title-product-parameter').html("Desasignar producto de " + $(this).parent().parent().children().eq(1).html());
        $.ajax({
            url: '/parameter/getdes',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'parameter': parameter
            },
            dataType: 'JSON',
            success: function (res) {
                var data = '';
                res.products.forEach(product => {
                    res.aspects.forEach(line => {
                        if (line.id == product.line_id) {
                            data += "<tr><td hidden>" + product.id + "</td><td>" + line.name + "</td><td>" + product.name + "</td><td>" + product.pivot.value + "</td><td><i class='fa-solid fa-square-xmark desaing_parameter_product'></i></td></tr>";
                        }
                    });
                });
                $('#products-assignates').html(data);
                dessaing_parameter_product();
                $('#dessignament-product-parameter-modal').modal('show');
                // errors_success("Parametro asignado a producto.");
            }
        });
    });
}
info_parameter();
function dessaing_parameter_product() {
    $('.desaing_parameter_product').on('click', function () {
        var product = $(this).parent().parent().children().eq(0).html();
        $.ajax({
            url: '/parameter/desassignament',
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'parameter': $('#parameter-product-id').attr('data-id'),
                'product': product
            },
            dataType: 'JSON',
            success: function (res) {
                $('#dessignament-product-parameter-modal').modal('hide');
                errors_success("Desasignado correctamente.");
            }
        });
    });
}
dessaing_parameter_product();
$('#product_add').click(function () {
    $('#products_errors').html('');
    $('#product_name').val('');
    $('#product-modal').modal('show');
});
$('#create_product').click(function () {
    $('#products_errors').html('');
    $.ajax({
        url: '/product/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#product_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#products_errors').html(data);
            } else {
                var data = '';
                res.products.forEach(product => {
                    data += "<tr><td hidden>" + product.id + "</td>";
                    if (product.line_id != null) {
                        data += "<td>" + product.line.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    if (product.aspect_id != null) {
                        data += "<td>" + product.aspect.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                    if (product.line_id != null) {
                        data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                    } else {
                        data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                    }
                    if (product.aspect_id != null) {
                        data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                    } else {
                        data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                    }
                    data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
                });
                $('#products').html(data);
                product_desassing();
                product_assing();
                ad_position();
                edit_product();
                delete_product();
                assignament_product_aspect_modal();
                dessignament_product_aspect();
                $('#product-modal').modal('hide');
                errors_success("Producto creado correctamente.");
            }
        }
    });
});

function edit_product() {
    $('.edit_product').click(function () {
        $('#products_errors_edit').html('');
        $('#update_product').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#product_name_edit').val($(this).parent().parent().children().eq(3).html());
        $('#product-modal-edit').modal('show');
    });
}
edit_product();
$('#update_product').on('click', function () {
    $('#products_errors_edit').html('');
    $.ajax({
        url: '/product/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_product').attr('data-id'),
            'name': $('#product_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#products_errors_edit').html(data);
            } else {
                var data = '';
                res.products.forEach(product => {
                    data += "<tr><td hidden>" + product.id + "</td>";
                    if (product.line_id != null) {
                        data += "<td>" + product.line.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    if (product.aspect_id != null) {
                        data += "<td>" + product.aspect.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                    if (product.line_id != null) {
                        data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                    } else {
                        data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                    }
                    if (product.aspect_id != null) {
                        data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                    } else {
                        data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                    }
                    data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
                });
                $('#products').html(data);
                product_desassing();
                ad_position();
                product_assing();
                edit_product();
                delete_product();
                assignament_product_aspect_modal();
                dessignament_product_aspect();
                $('#product-modal-edit').modal('hide');
                errors_success("Producto actualizado correctamente.");
            }
        }
    });
});
function delete_product() {
    $('.delete_product').click(function () {
        var product = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el producto?",
            text: "Se borrarán todos los datos de la producto",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/product/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': product
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El producto ha sido borrado correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_product();
$('#operator_add').click(function () {
    $('#operators_errors').html('');
    $('#operator_name').val('');
    $('#operator-modal').modal('show');
});
$('#create_operator').click(function () {
    $('#operators_errors').html('');
    $.ajax({
        url: '/operator/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#operator_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#operators_errors').html(data);
            } else {
                $('#operators').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td><i class='fa-solid fa-pencil edit_operator px-1'></i><i class='fa-solid fa-square-xmark delete_operator'></i></td></tr>");
                edit_operator();
                delete_operator();
                $('#operator-modal').modal('hide');
                errors_success("Operador creado correctamente.");
            }
        }
    });
});
function edit_operator() {
    $('.edit_operator').click(function () {
        $('#operators_errors_edit').html('');
        $('#update_operator').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#operator_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#operator-modal-edit').modal('show');
    });
}
edit_operator();
$('#update_operator').click(function () {
    $('#operators_errors_edit').html('');
    $.ajax({
        url: '/operator/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_operator').attr('data-id'),
            'name': $('#operator_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#operators_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(operator => {
                    data += "<tr><td hidden>" + operator.id + "</td><td>" + operator.name + "</td><td><i class='fa-solid fa-pencil edit_operator px-1'></i><i class='fa-solid fa-square-xmark delete_operator'></i></td></tr>";
                });
                $('#operators').html(data);
                edit_operator();
                delete_operator();
                $('#operator-modal-edit').modal('hide');
                errors_success("Operador actualizado correctamente.");
            }
        }
    });
});
function delete_operator() {
    $('.delete_operator').click(function () {
        var operator = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el operador?",
            text: "Se borrarán todos los datos de la operador",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/operator/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': operator
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El operador ha sido borrado correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_operator();
$('#line_add').click(function () {
    $('#lines_errors').html('');
    $('#line_name').val('');
    $('#line-modal').modal('show');
});
$('#create_line').click(function () {
    $('#lines_errors').html('');
    $.ajax({
        url: '/line/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#line_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#lines_errors').html(data);
            } else {
                $('#lines').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td><i class='fa-solid fa-pencil edit_line px-1'></i><i class='fa-solid fa-square-xmark delete_line'></i></td></tr>");
                edit_line();
                delete_line();
                $('#line-modal').modal('hide');
                errors_success("Linea creada correctamente.");
            }
        }
    });
});
function edit_line() {
    $('.edit_line').click(function () {
        $('#lines_errors_edit').html('');
        $('#update_line').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#line_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#line-modal-edit').modal('show');
    });
}
edit_line();
$('#update_line').click(function () {
    $('#lines_errors_edit').html('');
    $.ajax({
        url: '/line/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_line').attr('data-id'),
            'name': $('#line_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#lines_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(line => {
                    data += "<tr><td hidden>" + line.id + "</td><td>" + line.name + "</td><td><i class='fa-solid fa-city product_assing' style='color: #ea0634;'></i><i class='fa-solid fa-pencil edit_line px-1'></i><i class='fa-solid fa-square-xmark delete_line'></i></td></tr>";
                });
                $('#lines').html(data);
                edit_line();
                delete_line();
                $('#line-modal-edit').modal('hide');
                errors_success("Linea actualizado correctamente.");
            }
        }
    });
});
function delete_line() {
    $('.delete_line').click(function () {
        var line = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar la linea?",
            text: "Se borrarán todos los datos de la linea",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/line/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': line
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("La linea ha sido borrada correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_line();
function product_assing() {
    $('.product_assing').click(function () {
        var product_id = $(this).parent().parent().children().eq(0).html();
        $('#line_product_assing').attr('product', $(this).parent().parent().children().eq(0).html());
        $.ajax({
            url: '/product/get',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'product': product_id
            },
            dataType: 'JSON',
            success: function (res) {
                if (res.lines) {
                    var data = '<option selected>Elige linea</option>';
                    res.lines.forEach(lin => {
                        data += "<option value='" + lin.id + "'>" + lin.name + "</option>";
                    });
                    $('#line-select').html(data);
                    $('#assing-product-modal').modal('show');
                } else {
                    errors_info("No exiten lineas por asignar");
                }
            }
        });
    });
}
product_assing();
$('#line_product_assing').click(function () {
    $.ajax({
        url: '/product/assignament',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'product': $('#line_product_assing').attr('product'),
            'line': $('#line-select').val()
        },
        dataType: 'JSON',
        success: function (res) {
            var data = '';
            res.products.forEach(product => {
                data += "<tr><td hidden>" + product.id + "</td>";
                if (product.line_id != null) {
                    data += "<td>" + product.line.name + "</td>";
                } else {
                    data += "<td>-</td>";
                }
                if (product.aspect_id != null) {
                    data += "<td>" + product.aspect.name + "</td>";
                } else {
                    data += "<td>-</td>";
                }
                data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                if (product.line_id != null) {
                    data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                } else {
                    data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                }
                if (product.aspect_id != null) {
                    data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                } else {
                    data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                }
                data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
            });
            $('#products').html(data);
            product_desassing();
            product_assing();
            ad_position();
            edit_product();
            delete_product();
            assignament_product_aspect_modal();
            dessignament_product_aspect();
            $('#assing-product-modal').modal('hide');
            errors_success("La linea ha sido asignada al producto correctamente.");
        }
    });
});
function product_desassing() {
    $('.product_desassing').click(function () {
        var product_id = $(this).parent().parent().children().eq(0).html();
        $.ajax({
            url: '/product/desassignament',
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'product': product_id
            },
            dataType: 'JSON',
            success: function (res) {
                var data = '';
                res.products.forEach(product => {
                    data += "<tr><td hidden>" + product.id + "</td>";
                    if (product.line_id != null) {
                        data += "<td>" + product.line.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    if (product.aspect_id != null) {
                        data += "<td>" + product.aspect.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                    if (product.line_id != null) {
                        data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                    } else {
                        data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                    }
                    if (product.aspect_id != null) {
                        data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                    } else {
                        data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                    }
                    data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
                });
                $('#products').html(data);
                product_desassing();
                product_assing();
                ad_position();
                edit_product();
                delete_product();
                assignament_product_aspect_modal();
                dessignament_product_aspect();
                errors_success("La linea ha sido desasignada del producto.");
            }
        });
    });
}
product_desassing();

$('#type_add').click(function () {
    $('#types_errors').html('');
    $('#type_name').val('');
    $('#type-modal').modal('show');
});
$('#create_type').click(function () {
    $('#types_errors').html('');
    $.ajax({
        url: '/type/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#type_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#types_errors').html(data);
            } else {
                $('#types').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td><i class='fa-solid fa-pencil edit_type px-1'></i><i class='fa-solid fa-square-xmark delete_type'></i></td></tr>");
                edit_type();
                delete_type();
                $('#type-modal').modal('hide');
                errors_success("Tipo creado correctamente.");
            }
        }
    });
});
function edit_type() {
    $('.edit_type').click(function () {
        $('#types_errors_edit').html('');
        $('#update_type').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#type_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#type-modal-edit').modal('show');
    });
}
edit_type();
$('#update_type').click(function () {
    $('#types_errors_edit').html('');
    $.ajax({
        url: '/type/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_type').attr('data-id'),
            'name': $('#type_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#types_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(type => {
                    data += "<tr><td hidden>" + type.id + "</td><td>" + type.name + "</td><td><i class='fa-solid fa-city product_assing' style='color: #ea0634;'></i><i class='fa-solid fa-pencil edit_type px-1'></i><i class='fa-solid fa-square-xmark delete_type'></i></td></tr>";
                });
                $('#types').html(data);
                edit_type();
                delete_type();
                $('#type-modal-edit').modal('hide');
                errors_success("Tipo actualizado correctamente.");
            }
        }
    });
});
function delete_type() {
    $('.delete_type').click(function () {
        var type = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el tipo?",
            text: "Se borrarán todos los datos de el tipo",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/type/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': type
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El tipo ha sido borrada correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_type();
$('#turn_add').click(function () {
    $('#turns_errors').html('');
    $('#turn_name').val('');
    $('#turn-modal').modal('show');
});
$('#create_turn').click(function () {
    $('#turns_errors').html('');
    $.ajax({
        url: '/turn/storage',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#turn_name').val(),
            'start': $('#start_time').val(),
            'end': $('#end_time').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.start) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.start + "</div>";
                }
                if (res.errors.end) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.end + "</div>";
                }
                $('#turns_errors').html(data);
            } else {
                $('#turns').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td>" + res.start + "</td><td>" + res.end + "</td><td><i class='fa-solid fa-user assignament_operator_turn pe-1'></i><i class='fa-solid fa-people-group show_operator_turn pe-1'></i><i class='fa-solid fa-pencil edit_turn pe-1'></i><i class='fa-solid fa-square-xmark delete_turn'></i></td></tr>");
                edit_turn();
                delete_turn();
                assignament_operator_turn();
                $('#turn-modal').modal('hide');
                errors_success("Turno creado correctamente.");
            }
        }
    });
});
function edit_turn() {
    $('.edit_turn').click(function () {
        $('#turns_errors_edit').html('');
        $('#update_turn').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#turn_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#start_time_edit').val($(this).parent().parent().children().eq(2).html());
        $('#end_time_edit').val($(this).parent().parent().children().eq(3).html());
        $('#turn-modal-edit').modal('show');
    });
}
edit_turn();
$('#update_turn').click(function () {
    $('#turns_errors_edit').html('');
    $.ajax({
        url: '/turn/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_turn').attr('data-id'),
            'name': $('#turn_name_edit').val(),
            'start': $('#start_time_edit').val(),
            'end': $('#end_time_edit').val()

        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.start) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.start + "</div>";
                }
                if (res.errors.end) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.end + "</div>";
                }
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#turns_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(turn => {
                    data += "<tr><td hidden>" + turn.id + "</td><td>" + turn.name + "</td><td>" + formatDate('H:i', turn.start) + "</td><td>" + formatDate('H:i', turn.end) + "</td><td><i class='fa-solid fa-user assignament_operator_turn pe-1'><i class='fa-solid fa-people-group show_operator_turn pe-1'></i></i><i class='fa-solid fa-pencil edit_turn pe-1'></i><i class='fa-solid fa-square-xmark delete_turn'></i></td></tr>";
                });
                $('#turns').html(data);
                edit_turn();
                delete_turn();
                assignament_operator_turn();
                $('#turn-modal-edit').modal('hide');
                errors_success("Turno actualizado correctamente.");
            }
        }
    });
});
function delete_turn() {
    $('.delete_turn').click(function () {
        var turn = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el turno?",
            text: "Se borrarán todos los datos del turno",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/turn/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': turn
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El turno ha sido borrada correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_turn();
function assignament_operator_turn() {
    $('.assignament_operator_turn').on('click', function () {
        $('#assignament_turn').attr('turn_id', $(this).parent().parent().children().eq(0).html());
        $.ajax({
            url: '/turn/asignamentoperatorget',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                turn: $('#assignament_turn').attr('turn_id')
            },
            dataType: 'JSON',
            success: function (res) {
                if (res.length > 0) {
                    var data = '';
                    res.forEach(operator => {
                        data += "<option value='" + operator.id + "'>" + operator.name + "</option>";
                    });
                    $('#operators_assignament').html(data);
                    $('#assignament_operator_turn_modal').modal('show');
                } else {
                    $('#assignament_operator_turn_modal').modal('hide');
                    errors_info("No quedan operarios para asignar a este turno.");
                }
            }
        });
    });
}
assignament_operator_turn();
$('#assignament_turn').on('click', function () {
    $.ajax({
        url: '/turn/asignamentoperator',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            turn: $('#assignament_turn').attr('turn_id'),
            operator: $('#operators_assignament').val()
        },
        dataType: 'JSON',
        success: function (res) {
            $('#assignament_operator_turn_modal').modal('hide');
            errors_success("Operario asignado correctamente al turno");
        }
    });
});
$('.show_operator_turn').on('click', function () {
    var _this = $(this);
    $('#title_show_operator_turn').html("Operarios turno de " + $(this).parent().parent().children().eq(1).html());
    $('#close_turn_operators').attr('turn-id', $(this).parent().parent().children().eq(0).html());
    $.ajax({
        url: '/turn/showasignamentoperator',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            turn: _this.parent().parent().children().eq(0).html()
        },
        dataType: 'JSON',
        success: function (res) {
            var data = '';
            res.forEach(operator => {
                data += "<tr><td hidden>" + operator.id + "<td>" + operator.name + "</td><td><i class='fa-solid fa-square-xmark dessaing_operator_turn'></i></td></tr>";
            });
            $('#turn_operators').html(data);
            dessaing_operator_turn();
            // $('#assignament_operator_turn_modal').modal('hide');
            // errors_success("Operario asignado correctamente al turno");
            $('#show_operator_turn_modal').modal('show');
        }
    });
});
function dessaing_operator_turn() {
    $('.dessaing_operator_turn').on('click', function () {
        var _this = $(this);
        $.ajax({
            url: '/turn/dessaing',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                turn: $('#close_turn_operators').attr('turn-id'),
                operator: _this.parent().parent().children().eq(0).html()
            },
            dataType: 'JSON',
            success: function (res) {
                _this.parent().parent().remove();
            }
        });
    });
}
dessaing_operator_turn();

$('#aspect_add').click(function () {
    $('#aspects_errors').html('');
    $('#aspect_name').val('');
    $('#aspect-modal').modal('show');
});
$('#create_aspect').click(function () {
    $('#aspects_errors').html('');
    $.ajax({
        url: '/aspect/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#aspect_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#aspects_errors').html(data);
            } else {
                $('#aspects').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td><i class='fa-solid fa-pencil edit_aspect px-1'></i><i class='fa-solid fa-square-xmark delete_aspect'></i></td></tr>");
                edit_aspect();
                delete_aspect();
                $('#aspect-modal').modal('hide');
                errors_success("El aspecto has sido creado correctamente.");
            }
        }
    });
});
function edit_aspect() {
    $('.edit_aspect').click(function () {
        $('#aspects_errors_edit').html('');
        $('#update_aspect').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#aspect_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#aspect-modal-edit').modal('show');
    });
}
edit_aspect();
$('#update_aspect').click(function () {
    $('#aspects_errors_edit').html('');
    $.ajax({
        url: '/aspect/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_aspect').attr('data-id'),
            'name': $('#aspect_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#aspects_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(aspect => {
                    data += "<tr><td hidden>" + aspect.id + "</td><td>" + aspect.name + "</td><td><i class='fa-solid fa-pencil edit_aspect px-1'></i><i class='fa-solid fa-square-xmark delete_aspect'></i></td></tr>";
                });
                $('#aspects').html(data);
                edit_aspect();
                delete_aspect();
                $('#aspect-modal-edit').modal('hide');
                errors_success("El aspecto actualizado correctamente.");
            }
        }
    });
});
function delete_aspect() {
    $('.delete_aspect').click(function () {
        var aspect = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el aspecto?",
            text: "Se borrarán todos los datos de la aspecta",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/aspect/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': aspect
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El aspecto ha sido borrada correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_aspect();
assignament_product_aspect_modal();
function assignament_product_aspect_modal() {
    $('.assignament_product_aspect_modal').click(function () {
        $('#product_aspect_assing').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $.ajax({
            url: '/product/getaspect',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {},
            dataType: 'JSON',
            success: function (res) {
                if (res.errors) {
                    if (res.errors.name) {
                        data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                    }
                    $('#products_errors').html(data);
                } else {
                    var data = '';
                    res.aspects.forEach(aspect => {
                        data += "<option value='" + aspect.id + "'>" + aspect.name + "</option>";
                    });
                    $('#aspect-select').html(data);
                    $('#assing-aspect-modal').modal('show');
                }
            }
        });
    });
}
$('#product_aspect_assing').on('click', function () {
    $.ajax({
        url: '/product/asignamentaspect',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            product: $('#product_aspect_assing').attr('data-id'),
            aspect: $('#aspect-select').val()
        },
        dataType: 'JSON',
        success: function (res) {
            var data = '';
            res.products.forEach(product => {
                data += "<tr><td hidden>" + product.id + "</td>";
                if (product.line_id != null) {
                    data += "<td>" + product.line.name + "</td>";
                } else {
                    data += "<td>-</td>";
                }
                if (product.aspect_id != null) {
                    data += "<td>" + product.aspect.name + "</td>";
                } else {
                    data += "<td>-</td>";
                }
                data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                if (product.line_id != null) {
                    data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                } else {
                    data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                }
                if (product.aspect_id != null) {
                    data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                } else {
                    data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                }
                data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
            });
            $('#products').html(data);
            product_desassing();
            product_assing();
            edit_product();
            ad_position();
            delete_product();
            assignament_product_aspect_modal();
            dessignament_product_aspect();
            $('#assing-aspect-modal').modal('hide');
            errors_success("Aspecto asignado correctamente al producto");
        }
    });
});
dessignament_product_aspect();
function dessignament_product_aspect() {
    $('.dessignament_product_aspect').on('click', function () {
        var product = $(this).parent().parent().children().eq(0).html();
        $.ajax({
            url: '/product/dessignamentaspect',
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                product: product
            },
            dataType: 'JSON',
            success: function (res) {
                var data = '';
                res.products.forEach(product => {
                    data += "<tr><td hidden>" + product.id + "</td>";
                    if (product.line_id != null) {
                        data += "<td>" + product.line.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    if (product.aspect_id != null) {
                        data += "<td>" + product.aspect.name + "</td>";
                    } else {
                        data += "<td>-</td>";
                    }
                    data += "<td>" + product.name + "</td><td><i class='fa-solid fa-location-dot ad-position pe-1'></i>";
                    if (product.line_id != null) {
                        data += "<i class='fa-solid fa-building-circle-xmark product_desassing pe-1'></i>";
                    } else {
                        data += "<i class='fa-solid fa-city product_assing pe-1'></i>";
                    }
                    if (product.aspect_id != null) {
                        data += "<i class='fa-solid fa-glasses dessignament_product_aspect pe-1' style='color: #e70404;'></i>";
                    } else {
                        data += "<i class='fa-solid fa-glasses assignament_product_aspect_modal pe-1'></i>";
                    }
                    data += "<i class='fa-solid fa-pencil edit_product pe-1'></i><i class='fa-solid fa-square-xmark delete_product'></i></td></tr>";
                });
                $('#products').html(data);
                product_desassing();
                product_assing();
                ad_position();
                edit_product();
                delete_product();
                assignament_product_aspect_modal();
                dessignament_product_aspect();
                errors_success("Aspecto desasignado correctamente del producto");
            }
        });
    });
}

$('#position_add').click(function () {
    $('#positions_errors').html('');
    $('#position_name').val('');
    $('#position-modal').modal('show');
});
$('#create_position').click(function () {
    $('#positions_errors').html('');
    $.ajax({
        url: '/position/storage',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'name': $('#position_name').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#positions_errors').html(data);
            } else {
                $('#positions').append("<tr><td hidden>" + res.id + "</td><td>" + res.name + "</td><td><i class='fa-solid fa-pencil edit_position px-1'></i><i class='fa-solid fa-square-xmark delete_position'></i></td></tr>");
                edit_position();
                delete_position();
                $('#position-modal').modal('hide');
                errors_success("El puesto has sido creado correctamente.");
            }
        }
    });
});
function edit_position() {
    $('.edit_position').click(function () {
        $('#positions_errors_edit').html('');
        $('#update_position').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $('#position_name_edit').val($(this).parent().parent().children().eq(1).html());
        $('#position-modal-edit').modal('show');
    });
}
edit_position();
$('#update_position').click(function () {
    $('#positions_errors_edit').html('');
    $.ajax({
        url: '/position/update',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'id': $('#update_position').attr('data-id'),
            'name': $('#position_name_edit').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                var data = '';
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                if (res.errors.id) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.id + "</div>";
                }
                $('#positions_errors_edit').html(data);
            } else {
                var data = '';
                res.forEach(position => {
                    data += "<tr><td hidden>" + position.id + "</td><td>" + position.name + "</td><td><i class='fa-solid fa-pencil edit_position px-1'></i><i class='fa-solid fa-square-xmark delete_position'></i></td></tr>";
                });
                $('#positions').html(data);
                edit_position();
                delete_position();
                $('#position-modal-edit').modal('hide');
                errors_success("El puesto actualizado correctamente.");
            }
        }
    });
});
function delete_position() {
    $('.delete_position').click(function () {
        var position = $(this).parent().parent().children().eq(0).html();
        var bor = $(this);
        swal({
            title: "Borrar el puesto?",
            text: "Se borrarán todos los datos de la positiona",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        }).then(function (r) {
            if (r) {
                $.ajax({
                    url: '/position/delete',
                    type: 'delete',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        'id': position
                    },
                    dataType: 'JSON',
                    success: function (res) {
                        if (res) {
                            swal("El puesto ha sido borrado correctamente.", {
                                icon: "success",
                                buttons: false,
                                timer: 5000,
                            });
                            bor.parent().parent().remove();
                        } else {
                            swal("Algo no ha salido correctamente", {
                                icon: "danger",
                                buttons: false,
                                timer: 5000,
                            });
                        }
                    }
                });
            }
        });
    });
}
delete_position();
function ad_position() {
    $('.ad-position').on('click', function () {
        var product = $(this).parent().parent().children().eq(0).html();
        var name = $(this).parent().parent().children().eq(3).html();
        $('#product_position_assing').attr('data-id', product);
        $('.close_position').attr('data-id', product);
        $('#title-position').html("Puestos asignados a " + name);
        $.ajax({
            url: '/product/pregetposition',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'product': product
            },
            dataType: 'JSON',
            success: function (res) {
                var data = '';
                res.positions.forEach(position => {
                    data += "<tr><td hidden>" + position.id + "</td><td>" + position.name + "</td><td><i class='fa-solid fa-square-xmark dessing_position'></i></td></tr>";
                });
                $('#products-assignates').html(data);
                dessing_position();
                $('#assing-position-modal').modal('show');
            }
        });
    });
}
ad_position();
$('#asignament_position_add').on('click', function () {
    $.ajax({
        url: '/product/getposition',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            product: $('#product_position_assing').attr('data-id')
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#products_errors').html(data);
            } else {
                var data = '';
                res.positions.forEach(position => {
                    data += "<option value='" + position.id + "'>" + position.name + "</option>";
                });
                $('#position-select').html(data);
                $('#assingnament-position-modal').modal('show');
            }
        }
    });
    $('#assing-position-modal').modal('hide');

});
$('#product_position_assing').on('click', function () {
    $.ajax({
        url: '/product/asignamentposition',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'product': $('#product_position_assing').attr('data-id'),
            'position': $('#position-select').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#products_errors').html(data);
            } else {
                $('#assingnament-position-modal').modal('hide');
                errors_success("Puesto asignado correctamente.");
            }
        }
    });
});
function dessing_position() {
    $('.dessing_position').on('click', function () {
        var position = $(this).parent().parent().children().eq(0).html();
        $.ajax({
            url: '/product/dessignamentposition',
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'product': $('.close_position').attr('data-id'),
                'position': position
            },
            dataType: 'JSON',
            success: function (res) {
                $('#assing-position-modal').modal('hide');
                errors_success("Puesto desasignado correctamente.");
            }
        });
    });
}
dessing_position();

function ad_position_para() {
    $('.ad-position_para').on('click', function () {
        $('#parameter_position_assing_para').attr('data-id', $(this).parent().parent().children().eq(0).html());
        $.ajax({
            url: '/parameter/getposition',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                product: $('#product_position_assing').attr('data-id')
            },
            dataType: 'JSON',
            success: function (res) {
                if (res.errors) {
                    if (res.errors.name) {
                        data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                    }
                    $('#products_errors_para').html(data);
                } else {
                    var data = '';
                    res.positions.forEach(position => {
                        data += "<option value='" + position.id + "'>" + position.name + "</option>";
                    });
                    $('#position-select_para').html(data);
                    $('#assingnament-parameter-position-modal').modal('show');
                }
            }
        });
        $('#assing-position-parameter-modal').modal('hide');

    });
}
ad_position_para();
$('#parameter_position_assing_para').on('click', function () {
    $.ajax({
        url: '/parameter/asignamentposition',
        type: 'GET',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            'parameter': $('#parameter_position_assing_para').attr('data-id'),
            'position': $('#position-select_para').val()
        },
        dataType: 'JSON',
        success: function (res) {
            if (res.errors) {
                if (res.errors.name) {
                    data += "<div class='alert alert-danger p-2' role='alert'>" + res.errors.name + "</div>";
                }
                $('#parameters_errors').html(data);
            } else {
                var data = '';
                res.parameters.forEach(parameter => {
                    data += "<tr><td hidden>" + parameter.id + "</td><td>" + parameter.name + "</td><td>" + parameter.type.name + "</td>";
                    if (!isEmpty(parameter.position)) {
                        data += "<td>" + parameter.position.name + "</td><td><i class='fa-solid fa-map-pin dessing_position_para pe-1' style='color: #ea0606;'></i>";
                    } else {
                        data += "<td>-</td><td><i class='fa-solid fa-map-pin ad-position_para pe-1'></i>";
                    }
                    data += "<i class='fa-brands fa-product-hunt assignament_product_parameter pe-1'></i><i class='fa-solid fa-circle-info info_parameter pe-1'></i><i class='fa-solid fa-pencil edit_parameter pe-1'></i><i class='fa-solid fa-square-xmark delete_parameter'></i></td></tr>";
                });
                $('#parameters').html(data);
                dessing_position_para();
                ad_position_para();
                info_parameter();
                edit_parameter();
                delete_parameter();
                assignament_product_parameter();
                $('#assingnament-parameter-position-modal').modal('hide');
                errors_success("Puesto asignado correctamente.");
            }
        }
    });
});
function dessing_position_para() {
    $('.dessing_position_para').on('click', function () {
        var _this = $(this).parent().parent().children().eq(0).html();
        $.ajax({
            url: '/parameter/dessignamentposition',
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {
                'parameter': _this
            },
            dataType: 'JSON',
            success: function (res) {
                console.log(res);
                var data = '';
                res.parameters.forEach(parameter => {
                    data += "<tr><td hidden>" + parameter.id + "</td><td>" + parameter.name + "</td><td>" + parameter.type.name + "</td>";
                    if (!isEmpty(parameter.position)) {
                        data += "<td>" + parameter.position.name + "</td><td><i class='fa-solid fa-map-pin dessing_position_para pe-1' style='color: #ea0606;'></i>";
                    } else {
                        data += "<td>-</td><td><i class='fa-solid fa-map-pin ad-position_para pe-1'></i>";
                    }
                    data += "<i class='fa-brands fa-product-hunt assignament_product_parameter pe-1'></i><i class='fa-solid fa-circle-info info_parameter pe-1'></i><i class='fa-solid fa-pencil edit_parameter pe-1'></i><i class='fa-solid fa-square-xmark delete_parameter'></i></td></tr>";
                });
                $('#parameters').html(data);
                dessing_position_para();
                ad_position_para();
                info_parameter();
                edit_parameter();
                delete_parameter();
                assignament_product_parameter();
                errors_success("Puesto desasignado correctamente.");
            }
        });
    });
}
dessing_position_para();