@extends('layouts.app')

@section('content')
    <!--Section: Sales Performance KPIs-->
    <div class="container">
        <section class="mb-4">
            <div class="card">
                <div class="card-header text-center py-3">
                    <h5 class="mb-0 text-center">
                        <strong>OPERADORES</strong>
                    </h5>
                </div>
                <div class="card-body">
                    <i class="fa-solid fa-square-plus me-auto" id="operator_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Nombre</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="operators">
                            @foreach ($operators as $operator)
                                <tr>
                                    <td hidden>{{ $operator->id }}</td>
                                    <td>{{ $operator->name }}</td>
                                    <td>
                                        <i class="fa-solid fa-pencil edit_operator"></i>
                                        <i class="fa-solid fa-square-xmark delete_operator"></i>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    <div class="modal" tabindex="-1"  id="operator-modal">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Crear operador</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="d-flex bd-highlight">
                    <div class="p-2 flex-fill bd-highlight">
                        <label>Nombre</label>
                        <input class="form-control" type="text" placeholder="Nombre" id="operator_name"
                            aria-label="default input example">
                    </div>
                </div>
                <div id="operators_errors"></div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" id="create_operator">Crear operador</button>
            </div>
          </div>
        </div>
      </div>

      <div class="modal" tabindex="-1"  id="operator-modal-edit">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Editar operador</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="d-flex bd-highlight">
                    <div class="p-2 flex-fill bd-highlight">
                        <label>Nombre</label>
                        <input class="form-control" type="text" placeholder="Nombre" id="operator_name_edit"
                            aria-label="default input example">
                    </div>
                </div>
                <div id="operators_errors_edit"></div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" id="update_operator">Actualizar operador</button>
            </div>
          </div>
        </div>
      </div>
@endsection
