@extends('layouts.app')

@section('content')
    <!--Section: Sales Performance KPIs-->
    <div class="container">
        <section class="mb-4">
            <div class="card">
                <div class="card-header text-center py-3">
                    <h5 class="mb-0 text-center">
                        <strong>PARÁMETROS</strong>
                    </h5>
                </div>
                <div class="card-body">
                    <i class="fa-solid fa-square-plus me-auto" id="parameter_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Nombre</td>
                                <td>Tipo</td>
                                <td>Puesto</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="parameters">
                            @foreach ($parametros as $parametro)
                                <tr>
                                    <td hidden>{{ $parametro->id }}</td>
                                    <td>{{ $parametro->name }}</td>
                                    <td>{{ $parametro->type->name }}</td>
                                    @if (isset($parametro->position->name))
                                        <td>{{ $parametro->position->name }}</td>
                                    @else
                                        <td>-</td>
                                    @endif
                                    <td>
                                        @if ($parametro->position)
                                            <i class="fa-solid fa-map-pin dessing_position_para"
                                                style="color: #ea0606;"></i>
                                        @else
                                            <i class="fa-solid fa-map-pin ad-position_para"></i>
                                        @endif
                                        <i class="fa-brands fa-product-hunt assignament_product_parameter"></i>
                                        <i class="fa-solid fa-circle-info info_parameter"></i>
                                        <i class="fa-solid fa-pencil edit_parameter"></i>
                                        <i class="fa-solid fa-square-xmark delete_parameter"></i>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    <div class="modal" tabindex="-1" id="parameter-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Crear Parametro</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control mb-3" type="text" placeholder="Nombre" id="parameter_name"
                                aria-label="default input example">
                            <label>Tipo</label>
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="type_parameter"></select>
                        </div>
                    </div>
                    <div id='parameters_errors'></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="parameter_storage">Crear Parametro</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="parameter-modal-edit">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Editar Parametro</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="parameter_name_edit"
                                aria-label="default input example">
                            <label>Tipo</label>
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="type_parameter_edit"></select>
                        </div>
                    </div>
                    <div id='parameters_errors_edit'></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="update_parameter">Actualizar Parametro</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assignament-product-parameter-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="name-parameter"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Producto</label>
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="product-select-parameter"></select>
                            <label>Valor</label>
                            <input type="text" class="form-control" id="value_parameter" aria-describedby="emailHelp">
                        </div>
                    </div>
                    <div id="products_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="parameter_product_assing">Asignar</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="dessignament-product-parameter-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="title-product-parameter"></h5>
                    <button type="button" class="btn-close" id='parameter-product-id' data-bs-dismiss="modal"
                        aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Linea</td>
                                <td>Nombre</td>
                                <td>Valor</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="products-assignates"></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assingnament-parameter-position-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Asignar puesto a producto </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="position-select_para"></select>
                        </div>
                    </div>
                    <div id="positions_errors_para"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="parameter_position_assing_para">Asignar</button>
                </div>
            </div>
        </div>
    </div>
@endsection
