@extends('layouts.app')

@section('content')
    <!--Section: Sales Performance KPIs-->
    <div class="container">
        <section class="mb-4">
            <div class="card">
                <div class="card-header text-center py-3">
                    <h5 class="mb-0 text-center">
                        <strong>Puestos</strong>
                    </h5>
                </div>
                <div class="card-body">
                    <i class="fa-solid fa-square-plus me-auto" id="position_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Nombre</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="positions">
                            @foreach ($positions as $position)
                                <tr>
                                    <td hidden>{{ $position->id }}</td>
                                    <td>{{ $position->name }}</td>
                                    <td>
                                        <i class="fa-solid fa-pencil edit_position"></i>
                                        <i class="fa-solid fa-square-xmark delete_position"></i>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    <div class="modal" tabindex="-1" id="position-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Crear puesto</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="position_name"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div id="positions_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="create_position">Crear puesto</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" id="position-modal-edit">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Editar puesto</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="position_name_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div id="positions_errors_edit"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="update_position">Actualizar puesto</button>
                </div>
            </div>
        </div>
    </div>
@endsection
