@extends('layouts.app')

@section('content')
    <!--Section: Sales Performance KPIs-->
    <div class="container">
        <section class="mb-4">
            <div class="card">
                <div class="card-header text-center py-3">
                    <h5 class="mb-0 text-center">
                        <strong>PRODUCTOS</strong>
                    </h5>
                </div>
                <div class="card-body">
                    <i class="fa-solid fa-square-plus me-auto" id="product_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Linea</td>
                                <td>Aspecto</td>
                                <td>Nombre</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="products">
                            @foreach ($products as $product)
                                <tr>
                                    <td hidden>{{ $product->id }}</td>
                                    <td>{{ $product->line ? $product->line->name : '-' }}</td>
                                    <td>{{ $product->aspect ? $product->aspect->name : '-' }}</td>
                                    <td>{{ $product->name }}</td>
                                    <td>
                                        <i class="fa-solid fa-location-dot ad-position"></i>
                                        @if ($product->line != null)
                                            <i class="fa-solid fa-building-circle-xmark product_desassing"></i>
                                        @else
                                            <i class="fa-solid fa-city product_assing"></i>
                                        @endif
                                        @if ($product->aspect != null)
                                            <i class="fa-solid fa-glasses dessignament_product_aspect" style="color: #e70404;"></i>
                                        @else
                                            <i class="fa-solid fa-glasses assignament_product_aspect_modal"></i>
                                        @endif
                                        <i class="fa-solid fa-pencil edit_product"></i>
                                        <i class="fa-solid fa-square-xmark delete_product"></i>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    <div class="modal" tabindex="-1" id="product-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Crear Producto</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="product_name"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div id="products_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="create_product">Crear Producto</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" id="product-modal-edit">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Editar Producto</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="product_name_edit"
                                aria-label="default input example">
                        </div>
                    </div>
                    <div id="products_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="update_product">Actualizar Producto</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assing-product-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Asignar producto a linea</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="line-select"></select>
                        </div>
                    </div>
                    <div id="products_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="line_product_assing">Asignar</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assing-aspect-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Asignar aspecto a producto</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="aspect-select"></select>
                        </div>
                    </div>
                    <div id="aspects_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="product_aspect_assing">Asignar</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assing-position-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="title-position"></h5>
                    <button type="button" class="btn-close close_position" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <i class="fa-solid fa-square-plus me-auto" id="asignament_position_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Puesto</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="products-assignates"></tbody>
                    </table>
                  
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="assingnament-position-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Asignar puesto a producto </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <select class="form-select form-select-lg mb-3" aria-label=".form-select-lg example"
                                id="position-select"></select>
                        </div>
                    </div>
                    <div id="positions_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="product_position_assing">Asignar</button>
                </div>
            </div>
        </div>
    </div>
@endsection
