@extends('layouts.app')

@section('content')
    <!--Section: Sales Performance KPIs-->
    <div class="container">
        <section class="mb-4">
            <div class="card">
                <div class="card-header text-center py-3">
                    <h5 class="mb-0 text-center">
                        <strong>Turnos</strong>
                    </h5>
                </div>
                <div class="card-body">
                    <i class="fa-solid fa-square-plus me-auto" id="turn_add"></i>
                    <table class="table table-hover text-nowrap text-center">
                        <thead>
                            <tr>
                                <td>Nombre</td>
                                <td>Hora Inicio</td>
                                <td>Hora Fin</td>
                                <td>Opciones</td>
                            </tr>
                        </thead>
                        <tbody id="turns">
                            @foreach ($turns as $turn)
                                <tr>
                                    <td hidden>{{ $turn->id }}</td>
                                    <td>{{ $turn->name }}</td>
                                    <td>{{ \Carbon\Carbon::parse($turn->start)->format('H:i') }}</td>
                                    <td>{{ \Carbon\Carbon::parse($turn->end)->format('H:i') }}</td>
                                    <td>
                                        <i class='fa-solid fa-user assignament_operator_turn'></i>
                                        <i class="fa-solid fa-people-group show_operator_turn"></i>
                                        <i class="fa-solid fa-pencil edit_turn"></i>
                                        <i class="fa-solid fa-square-xmark delete_turn"></i>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </div>
    <div class="modal" tabindex="-1" id="turn-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Crear turno</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="turn_name"
                                aria-label="default input example">
                            <div class="cs-form">
                                <label>Hora Incio</label>
                                <input type="time" class="form-control" id="start_time" />
                            </div>
                            <div class="cs-form">
                                <label>Hora Fin</label>
                                <input type="time" class="form-control" id="end_time" />
                            </div>
                        </div>
                    </div>
                    <div id="turns_errors"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="create_turn">Crear turno</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" id="turn-modal-edit">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Editar turna</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <label>Nombre</label>
                            <input class="form-control" type="text" placeholder="Nombre" id="turn_name_edit"
                                aria-label="default input example">
                            <div class="cs-form">
                                <label>Hora Incio</label>
                                <input type="time" class="form-control" id="start_time_edit" />
                            </div>
                            <div class="cs-form">
                                <label>Hora Fin</label>
                                <input type="time" class="form-control" id="end_time_edit" />
                            </div>
                        </div>
                    </div>
                    <div id="turns_errors_edit"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="update_turn">Actualizar turno</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" id="assignament_operator_turn_modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Asignar turno a operario</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <select class="form-select form-select-lg" aria-label=".form-select-lg example" id="operators_assignament">
                            </select>
                        </div>
                    </div>
                    <div id="turns_errors_edit"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="assignament_turn">Asignar turno</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" tabindex="-1" id="show_operator_turn_modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="title_show_operator_turn"></h5>
                    <button type="button" class="btn-close" id="close_turn_operators" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="d-flex bd-highlight">
                        <div class="p-2 flex-fill bd-highlight">
                            <table class="table table-hover text-nowrap text-center">
                                <thead>
                                    <tr>
                                        <td>Nombre</td>
                                        <td>Opciones</td>
                                    </tr>
                                </thead>
                                <tbody id="turn_operators"></tbody>
                            </table>
                        </div>
                    </div>
                    <div id="turn_operators_errors"></div>
                </div>
            </div>
        </div>
    </div>
@endsection
