<?php

use App\Http\Controllers\FormulaController;
use App\Http\Controllers\WelcomeController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    // return redirect()->guest('login');
    // return view('auth.login');
    return view('welcome');
});

Auth::routes([
    'register' => false,
    'verify' => false,
    'reset' => false
]);
// Acceso sin logearse
Route::get('/get','WelcomeController@get')->name('get');
Route::get('/getsignature','WelcomeController@getsignature')->name('getsignature');
Route::post('/storage','WelcomeController@storage')->name('storage');
Route::get('/generate-pdf', 'PDFController@generatePDF')->name('generatepdf');
// Parametros
Route::get('/parameters','ParameterController@index')->name('parameter.index');
Route::get('/parameter/getstorage','ParameterController@getstorage')->name('parameter.getstorage');
Route::post('/parameter/storage','ParameterController@storage')->name('parameter.storage');
Route::post('/parameter/update','ParameterController@update')->name('parameter.update');
Route::delete('/parameter/delete','ParameterController@delete')->name('parameter.delete');
// Productos
Route::get('/products','ProductController@index')->name('product.index');
Route::post('/product/storage','ProductController@storage')->name('product.storage');
Route::post('/product/update','ProductController@update')->name('product.update');
Route::delete('/product/delete','ProductController@delete')->name('product.delete');
// Parametros con productos
Route::get('/parameter/get','ParameterController@get')->name('parameter.get');
Route::post('/parameter/assignament','ParameterController@assignament')->name('parameter.assignament');
Route::get('/parameter/getdes','ParameterController@getdes')->name('parameter.getdes');
Route::post('/parameter/desassignament','ParameterController@desassignament')->name('parameter.desassignament');
// Productos con lineas
Route::get('/product/get','ProductController@get')->name('product.get');
Route::post('/product/assignament','ProductController@assignament')->name('product.assignament');
Route::post('/product/desassignament','ProductController@desassignament')->name('product.desassignament');
// Producto con aspectos
Route::get('/product/getaspect','ProductController@getaspect')->name('product.getaspect');
Route::post('/product/asignamentaspect','ProductController@assignamentaspect')->name('product.assignamentaspect');
Route::post('/product/dessignamentaspect','ProductController@dessignamentaspect')->name('product.dessignamentaspect');
// Producto con puestos
Route::get('/product/pregetposition','ProductController@pregetposition')->name('product.pregetposition');
Route::get('/product/getposition','ProductController@getposition')->name('product.getposition');
Route::post('/product/asignamentposition','ProductController@assignamentposition')->name('product.assignamentposition');
Route::post('/product/dessignamentposition','ProductController@dessignamentposition')->name('product.dessignamentposition');
// Parametros con puestos
Route::get('/parameter/pregetposition','ParameterController@pregetposition')->name('parameter.pregetposition');
Route::get('/parameter/getposition','ParameterController@getposition')->name('parameter.getposition');
Route::get('/parameter/asignamentposition','ParameterController@assignamentposition')->name('parameter.assignamentposition');
Route::get('/parameter/dessignamentposition','ParameterController@dessignamentposition')->name('parameter.dessignamentposition');
// Operator
Route::get('/operators','OperatorController@index')->name('operator.index');
Route::post('/operator/storage','OperatorController@storage')->name('operator.storage');
Route::post('/operator/update','OperatorController@update')->name('operator.update');
Route::delete('/operator/delete','OperatorController@delete')->name('operator.delete');
// Type
Route::get('/types','TypeController@index')->name('type.index');
Route::post('/type/storage','TypeController@storage')->name('type.storage');
Route::post('/type/update','TypeController@update')->name('type.update');
Route::delete('/type/delete','TypeController@delete')->name('type.delete');
// Lineas
Route::get('/lines','LineController@index')->name('line.index');
Route::post('/line/storage','LineController@storage')->name('line.storage');
Route::post('/line/update','LineController@update')->name('line.update');
Route::delete('/line/delete','LineController@delete')->name('line.delete');
// Aspectos
Route::get('/aspects','AspectController@index')->name('aspect.index');
Route::post('/aspect/storage','AspectController@storage')->name('aspect.storage');
Route::post('/aspect/update','AspectController@update')->name('aspect.update');
Route::delete('/aspect/delete','AspectController@delete')->name('aspect.delete');

// Puestos
Route::get('/positions','PositionController@index')->name('position.index');
Route::post('/position/storage','PositionController@storage')->name('position.storage');
Route::post('/position/update','PositionController@update')->name('position.update');
Route::delete('/position/delete','PositionController@delete')->name('position.delete');
// Turnos
Route::get('/turns','TurnController@index')->name('turn.index');
Route::get('/turn/storage','TurnController@storage')->name('turn.storage');
Route::post('/turn/update','TurnController@update')->name('turn.update');
Route::delete('/turn/delete','TurnController@delete')->name('turn.delete');
Route::get('/turn/asignamentoperatorget','TurnController@asignamentoperatorget')->name('turn.asignamentoperatorget');
Route::post('/turn/asignamentoperator','TurnController@asignamentoperator')->name('turn.asignamentoperator');
Route::get('/turn/showasignamentoperator','TurnController@show')->name('turn.show');
Route::get('/turn/dessaing','TurnController@dessaing')->name('turn.dessaing');